spec={"swagger":"2.0","info":{"version":"v1","title":"GeoDanmark API","description":"\r\nSwagger Dokumentation for GeoDK API.\r\n\r\nGeoDK APIet har til formål at klientsystemer kan ajourføre GeoDanmark Objekter (se GeoDanmark specifikationen på [GeoDanmarks hjemmeside](http://geodanmark.nu/). GeoDK APIet er ikke beregnet til at hente GeoDanmark objekter til almindelig brug, dertil henvises til Datafordeleren.\r\nAjourføring er baseret på oprettelse af en Sag med tilhørende objektforandringer (`kladdeobjekter` med angivet oprettelse, ændring og sletning af GeoDanmark Objekter). Ajourføring kan ske online og offline (download/upload af filer). Løbende opdateringer kan ske på sagen, afsluttende med godkendelse. Data skal overholde reglerne i GeoDanmark Specifikationen. Validering sker i forbindelse mde opdatering og godkendelse. Metadata for GeoDanmark Objekttyper kan tilgås via APIet. For yderligere information, se dokumentet \"GeoDK Snitflade API og Filformater\".\r\n\r\nObligatoriske felter: *-markering betyder at feltet skal være til stede i JSON strukturen. Med mindre teksten angive (ikke påkrævet) skal indeholdet være udfyldt.\r\n\r\nFormater:\r\nGeoDK APIet er et REST API baseret på [JSON API](http://jsonapi.org). I forbindelse med upload og download understøttes formaterne GML, TAB, Shape og ESRI-GeofilDatabase. Der kan hentes kort på WMS-format. For yderligere information om formater, se dokumentet \"GeoDK Snitflade API og Filformater\".  \r\n\r\nAdgang:\r\nAnvendelse af APIet forudsætter autorisation. Se vejledning hertil på [GeoDanmarks hjemmeside](http://geodanmark.nu/).  \r\n\r\nGenerelle resultatkoder:\r\nDer er nedenfor angivet responskoder der er specfikke for de enkelte operationer. Der anvendes følgende generelle HTTP Statuskoder:\r\n* 400 - Bad Request\r\n* 401 - Unauthorized\r\n* 403 - Forbidden\r\n* 406 - Not Acceptable\r\n* 408 - Request Timeout\r\n* 415 - Unsupported Media Type\r\n* 500 - Unexpected failure\r\n\r\nDerudover vil der blive anvendt JSON API fejlkoder [JSON API error format](http://jsonapi.org/format/#errors).\r\n            "},"host":"localhost","basePath":"/GeoDk.Central.Service.API","schemes":["http"],"paths":{"/administration/aendringsstatus":{"get":{"tags":["administration"],"summary":"Returnerer en liste af gyldig værdier for typen `Aendringsstatus`","operationId":"Aendringsstatus_Get","produces":["application/vnd.api+json"],"responses":{"200":{"description":"En liste af `Aendringsstatus`","schema":{"required":["data"],"type":"object","properties":{"data":{"description":"An array of resource objects, an array of resource identifier objects, or an empty array ([]).","type":"array","items":{"$ref":"#/definitions/aendringsstatus"}},"links":{"$ref":"#/definitions/links"}}}}}}},"/administration/aendringsstatus/{id}":{"get":{"tags":["administration"],"summary":"Returnerer beskrivelse af angivet `Aktivitetstype`","operationId":"Aendringsstatus_Get","produces":["application/vnd.api+json"],"parameters":[{"name":"id","in":"path","required":true,"type":"string"}],"responses":{"200":{"description":"En `Aendringsstatus`","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/aendringsstatus"},"links":{"$ref":"#/definitions/links"}}}}}}},"/sager/{id}/aktiviteter":{"get":{"tags":["sager"],"summary":"Returnerer en liste af `aktiviteter` for en sag.","operationId":"Aktivitet_GetAktiviteter","produces":["application/vnd.api+json"],"parameters":[{"name":"id","in":"path","required":true,"type":"integer","format":"int64"},{"name":"page","in":"query","required":false,"type":"integer","format":"int32"}],"responses":{"200":{"description":"En liste af aktiviteter","schema":{"required":["data"],"type":"object","properties":{"data":{"description":"An array of resource objects, an array of resource identifier objects, or an empty array ([]).","type":"array","items":{"$ref":"#/definitions/aktivitet"}},"links":{"$ref":"#/definitions/links"}}}}}}},"/administration/aktivitetstyper":{"get":{"tags":["administration"],"summary":"Returnerer en liste af gyldig værdier for typen `Aktivitetstype`","operationId":"Aktivitetstype_Get","produces":["application/vnd.api+json"],"responses":{"200":{"description":"En liste af `Aktivitetstype`","schema":{"required":["data"],"type":"object","properties":{"data":{"description":"An array of resource objects, an array of resource identifier objects, or an empty array ([]).","type":"array","items":{"$ref":"#/definitions/aktivitetstype"}},"links":{"$ref":"#/definitions/links"}}}}}}},"/administration/aktivitetstyper/{id}":{"get":{"tags":["administration"],"summary":"Returnerer beskrivelse af angivet `Aktivitetstype`","operationId":"Aktivitetstype_Get","produces":["application/vnd.api+json"],"parameters":[{"name":"id","in":"path","required":true,"type":"string"}],"responses":{"200":{"description":"Undocumented","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/aktivitetstype"},"links":{"$ref":"#/definitions/links"}}}}}}},"/brugere":{"get":{"tags":["brugere"],"summary":"Returnerer en liste af GeoDanmark brugere","operationId":"Brugere_GetBrugere","produces":["application/vnd.api+json"],"parameters":[{"name":"sort","in":"query","description":"Query sort fields","required":false,"type":"string"},{"name":"page","in":"query","description":"Paging","required":false,"type":"integer","format":"int32"}],"responses":{"200":{"description":"En liste af objekter af typen `Bruger`","schema":{"required":["data"],"type":"object","properties":{"data":{"description":"An array of resource objects, an array of resource identifier objects, or an empty array ([]).","type":"array","items":{"$ref":"#/definitions/bruger"}},"links":{"$ref":"#/definitions/links"}}}}}}},"/brugere/{id}":{"get":{"tags":["brugere"],"summary":"Returnerer beskrivelse af en `Bruger` af GeoDanmark systemet","operationId":"Brugere_GetBruger","produces":["application/vnd.api+json"],"parameters":[{"name":"id","in":"path","description":"GUID for the user to fetch or \"mig\" to fetch the currently authenticated user","required":true,"type":"string"}],"responses":{"200":{"schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/bruger"},"links":{"$ref":"#/definitions/links"}}}}}},"patch":{"tags":["brugere"],"summary":"Opdaterer oplysninger om GeoDanmark `Bruger` enten helt eller delvist.","operationId":"Brugere_UpdateBruger","consumes":["application/vnd.api+json"],"produces":["application/vnd.api+json"],"parameters":[{"name":"id","in":"path","description":"ID på den `Bruger` der skal opdateres","required":true,"type":"string"},{"name":"bruger","in":"body","description":"Objekt af typen `bruger`","required":true,"schema":{"type":"object"}}],"responses":{"200":{"description":"Den opdaterede `Bruger`","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/bruger"},"links":{"$ref":"#/definitions/links"}}}}}}},"/brugere/{id}/rettigheder":{"get":{"tags":["brugere"],"summary":"Returnerer en liste af objekter af typen `Rettighed`","operationId":"BrugerRettigheder_GetBrugerRettigheder","produces":["application/vnd.api+json"],"parameters":[{"name":"id","in":"path","description":"Id på brugeren","required":true,"type":"string"}],"responses":{"200":{"description":"En liste af objekter af typen `Rettighed`","schema":{"required":["data"],"type":"object","properties":{"data":{"description":"An array of resource objects, an array of resource identifier objects, or an empty array ([]).","type":"array","items":{"$ref":"#/definitions/rettighed"}},"links":{"$ref":"#/definitions/links"}}}}}}},"/specifikationer/1/datatyper":{"get":{"tags":["specifikationer"],"summary":"Returnerer liste over gyldige datatyper som attributter på GeoDanmark objekter kan have","operationId":"Datatype_Get","produces":["application/vnd.api+json"],"responses":{"200":{"description":"Liste med gyldige værdier for typen `Datatype`","schema":{"required":["data"],"type":"object","properties":{"data":{"description":"An array of resource objects, an array of resource identifier objects, or an empty array ([]).","type":"array","items":{"$ref":"#/definitions/datatype"}},"links":{"$ref":"#/definitions/links"}}}}}}},"/specifikationer/1/datatyper/{id}":{"get":{"tags":["specifikationer"],"summary":"Returnerer beskrivelse af angivet datatype som attributter på GeoDanmark objekter kan have","operationId":"Datatype_Get","produces":["application/vnd.api+json"],"parameters":[{"name":"id","in":"path","required":true,"type":"string"}],"responses":{"200":{"description":"Undocumented","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/datatype"},"links":{"$ref":"#/definitions/links"}}}}}}},"/specifikationer/1/defaultvaerdier":{"get":{"tags":["specifikationer"],"summary":"Returns all default values","operationId":"Defaultvaerdi_GetDefaultvaerdier","produces":["application/vnd.api+json"],"responses":{"200":{"description":"?","schema":{"required":["data"],"type":"object","properties":{"data":{"description":"An array of resource objects, an array of resource identifier objects, or an empty array ([]).","type":"array","items":{"$ref":"#/definitions/defaultvaerdi"}},"links":{"$ref":"#/definitions/links"}}}}}}},"/specifikationer/1/objekttypeegenskaber/{objekttypeegenskabId}/defaultvaerdier":{"get":{"tags":["specifikationer"],"summary":"Returns all default values for an Objekttypegenskab","operationId":"Defaultvaerdi_GetDefaultvaerdiByObjekttypeegenskabId","produces":["application/vnd.api+json"],"parameters":[{"name":"objekttypeegenskabId","in":"path","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"?","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/defaultvaerdi"},"links":{"$ref":"#/definitions/links"}}}}}},"patch":{"tags":["specifikationer"],"summary":"Updates a default value","operationId":"Defaultvaerdi_UpdateDefaultvaerdiByObjekttypeegenskabId","consumes":["application/vnd.api+json"],"produces":["application/vnd.api+json"],"parameters":[{"name":"defaultvaerdi","in":"body","description":"","required":true,"schema":{"type":"object","properties":{"data":{"$ref":"#/definitions/defaultvaerdi"}}}},{"name":"objekttypeegenskabId","in":"path","description":"","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"Den opdaterede `Defaultvaerdi`","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/defaultvaerdi"},"links":{"$ref":"#/definitions/links"}}}}}}},"/sager/{id}/delegeringer":{"post":{"tags":["sager"],"summary":"Delegerer ansvaret for en `Sag` til en anden bruger.","operationId":"Delegeringer_CreateDelegering","consumes":["application/vnd.api+json"],"produces":["application/vnd.api+json"],"parameters":[{"name":"id","in":"path","required":true,"type":"integer","format":"int64"},{"name":"delegering","in":"body","description":"Objekt af typen `Delegering` y","required":true,"schema":{"type":"object","properties":{"data":{"$ref":"#/definitions/delegering"}}}}],"responses":{"201":{"description":"Den oprettede `Delegering`","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/delegering"},"links":{"$ref":"#/definitions/links"}}}}}}},"/administration/eventtyper":{"get":{"tags":["administration"],"summary":"Returnerer en liste af gyldig værdier for typen `Eventtype`","operationId":"Eventtype_Get","produces":["application/vnd.api+json"],"responses":{"200":{"description":"En liste af `Eventtype`","schema":{"required":["data"],"type":"object","properties":{"data":{"description":"An array of resource objects, an array of resource identifier objects, or an empty array ([]).","type":"array","items":{"$ref":"#/definitions/eventtype"}},"links":{"$ref":"#/definitions/links"}}}}}}},"/administration/eventtyper/{id}":{"get":{"tags":["administration"],"summary":"Returnerer beskrivelse af angivet `Eventtype`","operationId":"Eventtype_Get","produces":["application/vnd.api+json"],"parameters":[{"name":"id","in":"path","required":true,"type":"string"}],"responses":{"200":{"description":"En `Eventtype`","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/eventtype"},"links":{"$ref":"#/definitions/links"}}}}}}},"/fagomraader/{id}":{"get":{"tags":["fagomraader"],"operationId":"Fagomraade_GetFagomraade","produces":["application/vnd.api+json"],"parameters":[{"name":"id","in":"path","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"Et objekt af typen `fagomraade`","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/fagomraade"},"links":{"$ref":"#/definitions/links"}}}}}}},"/fagomraader":{"get":{"tags":["fagomraader"],"operationId":"Fagomraade_GetFagomraader","produces":["application/vnd.api+json"],"responses":{"200":{"description":"En liste af typen `fagomraade`","schema":{"required":["data"],"type":"object","properties":{"data":{"description":"An array of resource objects, an array of resource identifier objects, or an empty array ([]).","type":"array","items":{"$ref":"#/definitions/fagomraade"}},"links":{"$ref":"#/definitions/links"}}}}}}},"/specifikationer/1/forretningshaendelser":{"get":{"tags":["specifikationer"],"summary":"Returnerer en liste af gyldige værdier for `Forretningshaendelse` (egenskab på GeoDanmark objekter)","operationId":"Forretningshaendelse_Get","produces":["application/vnd.api+json"],"responses":{"200":{"description":"En liste af gyldige værdier for `Forretningshaendelse` (egenskab på GeoDanmark objekter)","schema":{"required":["data"],"type":"object","properties":{"data":{"description":"An array of resource objects, an array of resource identifier objects, or an empty array ([]).","type":"array","items":{"$ref":"#/definitions/forretningshaendelse"}},"links":{"$ref":"#/definitions/links"}}}}}}},"/specifikationer/1/forretningshaendelser/{id}":{"get":{"tags":["specifikationer"],"summary":"Returnerer beskrivelse af angivet `Forretningshaendelse` (egenskab på GeoDanmark objekter)","operationId":"Forretningshaendelse_Get","produces":["application/vnd.api+json"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"string"}],"responses":{"200":{"description":"Undocumented","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/forretningshaendelse"},"links":{"$ref":"#/definitions/links"}}}}}}},"/specifikationer/1/forretningsproceser":{"get":{"tags":["specifikationer"],"summary":"Returnerer en liste af gyldige værdier for `Forretningsproces` (egenskab på GeoDanmark objekter)","operationId":"Forretningsproces_Get","produces":["application/vnd.api+json"],"responses":{"200":{"description":"En liste af gyldige værdier for `Forretningsproces` (egenskab på GeoDanmark objekter)","schema":{"required":["data"],"type":"object","properties":{"data":{"description":"An array of resource objects, an array of resource identifier objects, or an empty array ([]).","type":"array","items":{"$ref":"#/definitions/forretningsproces"}},"links":{"$ref":"#/definitions/links"}}}}}}},"/specifikationer/1/forretningsproceser/{id}":{"get":{"tags":["specifikationer"],"summary":"Returnerer beskrivelse af angivet `Forretningsproces` (egenskab på GeoDanmark objekter)","operationId":"Forretningsproces_Get","produces":["application/vnd.api+json"],"parameters":[{"name":"id","in":"path","required":true,"type":"string"}],"responses":{"200":{"description":"Undocumented","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/forretningsproces"},"links":{"$ref":"#/definitions/links"}}}}}}},"/specifikationer/1/funktionstyper":{"get":{"tags":["specifikationer"],"summary":"Returnerer liste over gyldige Funktionstyper","operationId":"Funktionstype_Get","produces":["application/vnd.api+json"],"responses":{"200":{"description":"Liste med gyldige værdier for typen `Funktionstype`","schema":{"required":["data"],"type":"object","properties":{"data":{"description":"An array of resource objects, an array of resource identifier objects, or an empty array ([]).","type":"array","items":{"$ref":"#/definitions/funktionstype"}},"links":{"$ref":"#/definitions/links"}}}}}}},"/specifikationer/1/funktionstyper/{id}":{"get":{"tags":["specifikationer"],"summary":"Returnerer Funktionstype ud fra id","operationId":"Funktionstype_Get","produces":["application/vnd.api+json"],"parameters":[{"name":"id","in":"path","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"Undocumented","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/funktionstype"},"links":{"$ref":"#/definitions/links"}}}}}}},"/geodkobjekter/{id}":{"get":{"tags":["geodkobjekter"],"summary":"Returnerer et bestemt geodkobjekt","operationId":"Geodkobjekter_GetGeodkobjekt","produces":["application/vnd.api+json"],"parameters":[{"name":"id","in":"path","description":"ID på det ønskede geodkobjekt","required":true,"type":"integer","format":"int64"},{"name":"registreringFra","in":"query","required":false,"type":"string"},{"name":"slettet","in":"query","required":false,"type":"boolean"}],"responses":{"200":{"description":"Et geodkobjekt","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/geodkobjekt"},"links":{"$ref":"#/definitions/links"}}}}}}},"/geodkobjekter/{id}/historiske-referencer":{"get":{"tags":["geodkobjekter"],"summary":"Returnerer de historiske versioner af et bestemt geodkobjekt","operationId":"Geodkobjekter_GetHistoriskeObjekter","produces":["application/vnd.api+json"],"parameters":[{"name":"id","in":"path","description":"ID på det geodkobjekt som der ønskes historiske versioner for","required":true,"type":"integer","format":"int64"},{"name":"page","in":"query","required":false,"type":"integer","format":"int32"}],"responses":{"200":{"description":"En liste af objekter af typen `GeodkobjektHistoriskReference`","schema":{"required":["data"],"type":"object","properties":{"data":{"description":"An array of resource objects, an array of resource identifier objects, or an empty array ([]).","type":"array","items":{"$ref":"#/definitions/geodkobjekt"}},"links":{"$ref":"#/definitions/links"}}}}}}},"/geodkobjekter":{"get":{"tags":["geodkobjekter"],"summary":"Returns Geodkobjekter within a bounding box","operationId":"Geodkobjekter_GetGeodkobjekter","produces":["application/vnd.api+json"],"parameters":[{"name":"bbox","in":"query","description":"Bounding box filter","required":false,"type":"string"},{"name":"page","in":"query","required":false,"type":"integer","format":"int32"}],"responses":{"200":{"description":"Geodkobjekter","schema":{"required":["data"],"type":"object","properties":{"data":{"description":"An array of resource objects, an array of resource identifier objects, or an empty array ([]).","type":"array","items":{"$ref":"#/definitions/geodkobjekt"}},"links":{"$ref":"#/definitions/links"}}}}}}},"/specifikationer/1/geometristatus":{"get":{"tags":["specifikationer"],"summary":"Returnerer en liste af gyldige værdier for `Geometristatus` (egenskab på GeoDanmark objekter)","operationId":"Geometristatus_Get","produces":["application/vnd.api+json"],"responses":{"200":{"description":"Liste af gyldige værdier af typen `Geometristatus`","schema":{"required":["data"],"type":"object","properties":{"data":{"description":"An array of resource objects, an array of resource identifier objects, or an empty array ([]).","type":"array","items":{"$ref":"#/definitions/geometristatus"}},"links":{"$ref":"#/definitions/links"}}}}}}},"/specifikationer/1/geometristatus/{id}":{"get":{"tags":["specifikationer"],"summary":"Returnerer beskrivelse af angivet  `Geometristatus` (egenskab på GeoDanmark objekter)","operationId":"Geometristatus_Get","produces":["application/vnd.api+json"],"parameters":[{"name":"id","in":"path","required":true,"type":"string"}],"responses":{"200":{"description":"Undocumented","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/geometristatus"},"links":{"$ref":"#/definitions/links"}}}}}}},"/specifikationer/1/geometrityper":{"get":{"tags":["specifikationer"],"summary":"Returnerer en liste af gyldig værdier for typen `Geometritype`","operationId":"Geometritype_Get","produces":["application/vnd.api+json"],"responses":{"200":{"description":"Liste med gyldige værdier for typen `Geometritype`","schema":{"required":["data"],"type":"object","properties":{"data":{"description":"An array of resource objects, an array of resource identifier objects, or an empty array ([]).","type":"array","items":{"$ref":"#/definitions/geometritype"}},"links":{"$ref":"#/definitions/links"}}}}}}},"/specifikationer/1/geometrityper/{id}":{"get":{"tags":["specifikationer"],"summary":"Returnerer beskrivelse af angivet værdi for`Geometritype`","operationId":"Geometritype_Get","produces":["application/vnd.api+json"],"parameters":[{"name":"id","in":"path","required":true,"type":"string"}],"responses":{"200":{"description":"Undocumented","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/geometritype"},"links":{"$ref":"#/definitions/links"}}}}}}},"/sager/{id}/hjaelpegeometrier":{"get":{"tags":["sager"],"summary":"Returnerer en liste af `Hjælpegeometrier` for en sag.","operationId":"Hjaelpegeometri_GetHjaelpegeometrier","produces":["application/vnd.api+json"],"parameters":[{"name":"id","in":"path","description":"Id of the sag","required":true,"type":"integer","format":"int64"},{"name":"bbox","in":"query","required":false,"type":"string"},{"name":"page","in":"query","required":false,"type":"integer","format":"int32"}],"responses":{"200":{"description":"En liste af objekter af typen `Hjælpegeometrier`","schema":{"required":["data"],"type":"object","properties":{"data":{"description":"An array of resource objects, an array of resource identifier objects, or an empty array ([]).","type":"array","items":{"$ref":"#/definitions/hjaelpegeometri"}},"links":{"$ref":"#/definitions/links"}}}}}},"delete":{"tags":["sager"],"summary":"Slet hjælpegeometri på sagen","operationId":"Hjaelpegeometri_Delete","consumes":["application/vnd.api+json"],"produces":["application/vnd.api+json"],"parameters":[{"name":"id","in":"path","description":"Id of the sag","required":true,"type":"integer","format":"int64"}],"responses":{"204":{"description":"Operation successful","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/hjaelpegeometri"},"links":{"$ref":"#/definitions/links"}}}},"200":{"description":"Undocumented","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/hjaelpegeometri"},"links":{"$ref":"#/definitions/links"}}}}}}},"/sager/{id}/importer":{"post":{"tags":["sager"],"summary":"Importer fil til sagen, enten med GeoDanmark Objekter eller hjælpegeometri","operationId":"Importer_Post","consumes":[],"produces":["application/vnd.api+json","application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"id","in":"path","description":"Sag ID","required":true,"type":"integer","format":"int64"},{"name":"type","in":"query","description":"`Geodkobjekter` or `Hjaelpegeometrier`","required":false,"type":"string"},{"name":"benytaction","in":"query","description":"Boolean indicating if to use heuristics or action element to determine deletions","required":false,"type":"boolean"},{"name":"autozmethod","in":"query","description":"None = 0, DHM = 1, Interpolation = 2","required":false,"type":"integer","format":"int32","enum":[0,1,2]}],"responses":{"200":{"description":""}}}},"/administration/jobs/{id}":{"get":{"tags":["administration"],"summary":"Returnerer et baggrundsjob med det angivne `id`","description":"Baggrundsjobs kan være en af følgende:\r\n- validering(kvikvalidering eller prøvegodkendelse)\r\n- godkendelser\r\n- upload af filer(indlæsning og validering)\r\n- download(selve udtrækket)\r\n\r\nBaggrundsjobs kan være igangværende eller afsluttede.","operationId":"Jobs_GetJobById","produces":["application/vnd.api+json"],"parameters":[{"name":"id","in":"path","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"Et objekt af typen `Job`","schema":{"required":["data"],"type":"object","properties":{"data":{"description":"An array of resource objects, an array of resource identifier objects, or an empty array ([]).","type":"array","items":{"$ref":"#/definitions/job"}},"links":{"$ref":"#/definitions/links"}}}}}}},"/sager/{id}/jobs":{"get":{"tags":["sager"],"summary":"Henter en liste af baggrundsjob relateret til den angivne `Sag`.","description":"Baggrundsjobs kan være en af følgende: \r\n- validering(kvikvalidering eller prøvegodkendelse)\r\n- godkendelser\r\n- upload af filer(indlæsning og validering)\r\n- download(selve udtrækket)\r\n\r\nBaggrundsjobs kan være igangværende eller afsluttede.","operationId":"Jobs_GetJobsBySag","produces":["application/vnd.api+json"],"parameters":[{"name":"id","in":"path","required":true,"type":"integer","format":"int64"},{"name":"sort","in":"query","required":false,"type":"string"}],"responses":{"200":{"description":"liste af  baggrundsjob","schema":{"required":["data"],"type":"object","properties":{"data":{"description":"An array of resource objects, an array of resource identifier objects, or an empty array ([]).","type":"array","items":{"$ref":"#/definitions/job"}},"links":{"$ref":"#/definitions/links"}}}}}},"post":{"tags":["sager"],"summary":"Start udtræk af objekter fra sag til  eksportfil med henblik på download (baggrundsjob)","operationId":"Jobs_Post","consumes":["application/vnd.api+json"],"produces":["application/vnd.api+json"],"parameters":[{"name":"id","in":"path","required":true,"type":"integer","format":"int64"},{"name":"job","in":"body","required":true,"schema":{"type":"object","properties":{"data":{"$ref":"#/definitions/job"}}}}],"responses":{"200":{"description":"Created job","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/job"},"links":{"$ref":"#/definitions/links"}}}},"201":{"description":"Undocumented","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/job"},"links":{"$ref":"#/definitions/links"}}}}}}},"/administration/jobs":{"get":{"tags":["administration"],"summary":"Returnerer en liste af GeoDanmark job","operationId":"Jobs_GetJobs","produces":["application/vnd.api+json"],"parameters":[{"name":"sort","in":"query","description":"Query sort fields","required":false,"type":"string"},{"name":"page","in":"query","description":"Paging","required":false,"type":"integer","format":"int32"}],"responses":{"200":{"description":"En liste af objekter af typen `Job`","schema":{"required":["data"],"type":"object","properties":{"data":{"description":"An array of resource objects, an array of resource identifier objects, or an empty array ([]).","type":"array","items":{"$ref":"#/definitions/job"}},"links":{"$ref":"#/definitions/links"}}}}}},"post":{"tags":["administration"],"summary":"Create dataleverance with a given jobtype","operationId":"Jobs_StartJobByType","consumes":["application/vnd.api+json"],"produces":["application/vnd.api+json"],"parameters":[{"name":"jobtypeId","in":"query","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"Starts dataleverance with a given jobtype","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/job"},"links":{"$ref":"#/definitions/links"}}}},"201":{"description":"Undocumented","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/job"},"links":{"$ref":"#/definitions/links"}}}}}}},"/specifikationer/1/valideringsregler/{id}/test":{"post":{"tags":["specifikationer"],"summary":"Test valideringsregel","operationId":"Jobs_TestValideringsregel","consumes":["application/vnd.api+json"],"produces":["application/vnd.api+json"],"parameters":[{"name":"id","in":"path","description":"Valideringsregel id","required":true,"type":"integer","format":"int32"},{"name":"boundingBox","in":"query","description":"Bounding box","required":false,"type":"string"}],"responses":{"200":{"description":"Starter jobbet test af valideringsregel","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/job"},"links":{"$ref":"#/definitions/links"}}}},"201":{"description":"Undocumented","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/job"},"links":{"$ref":"#/definitions/links"}}}}}}},"/administration/jobs/{id}/filer/{uuid}":{"get":{"tags":["administration"],"summary":"Link til fil der kan downloades","operationId":"Jobs_GetFil","produces":["application/vnd.api+json"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int64"},{"name":"uuid","in":"path","description":"","required":true,"type":"string"}],"responses":{"200":{"description":"Undocumented","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/job"},"links":{"$ref":"#/definitions/links"}}}}}}},"/administration/jobs-info/1":{"get":{"tags":["administration"],"summary":"Returns an entity `JobsInfo`","operationId":"Jobs_GetJobsInfo","produces":["application/vnd.api+json"],"responses":{"200":{"description":"?","schema":{"required":["data"],"type":"object","properties":{"data":{"description":"An array of resource objects, an array of resource identifier objects, or an empty array ([]).","type":"array","items":{"$ref":"#/definitions/job"}},"links":{"$ref":"#/definitions/links"}}}}}}},"/administration/jobstatus":{"get":{"tags":["administration"],"summary":"Returnerer en liste af gyldige værdier for typen `Jobstatus`","operationId":"Jobstatus_Get","produces":["application/vnd.api+json"],"responses":{"200":{"description":"En liste af `Jobstatus`","schema":{"required":["data"],"type":"object","properties":{"data":{"description":"An array of resource objects, an array of resource identifier objects, or an empty array ([]).","type":"array","items":{"$ref":"#/definitions/jobstatus"}},"links":{"$ref":"#/definitions/links"}}}}}}},"/administration/jobstatus/{id}":{"get":{"tags":["administration"],"summary":"Returnerer beskrivelse af angivet `Jobtype`","operationId":"Jobstatus_Get","produces":["application/vnd.api+json"],"parameters":[{"name":"id","in":"path","required":true,"type":"string"}],"responses":{"200":{"description":"En `Jobstatus`","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/jobstatus"},"links":{"$ref":"#/definitions/links"}}}}}}},"/administration/jobtyper":{"get":{"tags":["administration"],"summary":"Returnerer en liste af gyldige værdier for typen `Jobtype`","operationId":"Jobtype_Get","produces":["application/vnd.api+json"],"responses":{"200":{"description":"En liste af `Jobtype`","schema":{"required":["data"],"type":"object","properties":{"data":{"description":"An array of resource objects, an array of resource identifier objects, or an empty array ([]).","type":"array","items":{"$ref":"#/definitions/jobtype"}},"links":{"$ref":"#/definitions/links"}}}}}}},"/administration/jobtyper/{id}":{"get":{"tags":["administration"],"summary":"Returnerer beskrivelse af angivet `Jobtype`","operationId":"Jobtype_Get","produces":["application/vnd.api+json"],"parameters":[{"name":"id","in":"path","required":true,"type":"string"}],"responses":{"200":{"description":"En `Jobtype`","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/jobtype"},"links":{"$ref":"#/definitions/links"}}}}}}},"/sager/{id}/kommentarer":{"post":{"tags":["sager"],"summary":"Tilføjer en kommentar til en `Sag`","operationId":"Kommentarer_CreateKommentar","consumes":["application/vnd.api+json"],"produces":["application/vnd.api+json"],"parameters":[{"name":"id","in":"path","required":true,"type":"integer","format":"int64"},{"name":"kommentar","in":"body","description":"Objekt af typen `Kommentar`","required":true,"schema":{"type":"object","properties":{"data":{"$ref":"#/definitions/kommentar"}}}}],"responses":{"201":{"description":"Den oprettede `Kommentar`","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/kommentar"},"links":{"$ref":"#/definitions/links"}}}}}}},"/administration/konfiguration/{id}":{"get":{"tags":["administration"],"summary":"Returnerer basale systemopsætningsparametre","operationId":"Konfiguration_GetKonfiguration","produces":["application/vnd.api+json"],"parameters":[{"name":"id","in":"path","required":true,"type":"integer","format":"int32"},{"name":"appendTicket","in":"query","required":false,"type":"boolean"}],"responses":{"200":{"description":"Et objekt af typen `Konfiguration`","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/konfiguration"},"links":{"$ref":"#/definitions/links"}}}}}},"patch":{"tags":["administration"],"summary":"Opdaterere basale systemopsætningsparametre","operationId":"Konfiguration_UpdateKonfiguration","consumes":["application/vnd.api+json"],"produces":["application/vnd.api+json"],"parameters":[{"name":"konfiguration","in":"body","required":true,"schema":{"type":"object","properties":{"data":{"$ref":"#/definitions/konfiguration"}}}},{"name":"id","in":"path","required":true,"type":"string"}],"responses":{"200":{"description":"Et opdateret objekt af typen `Konfiguration`","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/konfiguration"},"links":{"$ref":"#/definitions/links"}}}}}}},"/administration/logs/{id}":{"get":{"tags":["administration"],"summary":"Henter log ud fra id.","operationId":"Log_GetLog","produces":["application/vnd.api+json"],"parameters":[{"name":"id","in":"path","required":true,"type":"string"}],"responses":{"200":{"description":"En liste af objekter af typen `Log`","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/log"},"links":{"$ref":"#/definitions/links"}}}}}}},"/administration/logs/download":{"get":{"tags":["administration"],"summary":"Downloader alle logs som CSV.","operationId":"Log_DownloadLogs","produces":["application/vnd.api+json"],"responses":{"200":{"description":"Undocumented","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/log"},"links":{"$ref":"#/definitions/links"}}}}}}},"/administration/log-kategorier":{"get":{"tags":["administration"],"summary":"Returnerer en liste af gyldig værdier for typen `LogKategori`","operationId":"LogKategori_Get","produces":["application/vnd.api+json"],"responses":{"200":{"description":"En liste af `LogKategori`","schema":{"required":["data"],"type":"object","properties":{"data":{"description":"An array of resource objects, an array of resource identifier objects, or an empty array ([]).","type":"array","items":{"$ref":"#/definitions/log-kategori"}},"links":{"$ref":"#/definitions/links"}}}}}}},"/administration/log-kategorier/{id}":{"get":{"tags":["administration"],"summary":"Returnerer beskrivelse af angivet `LogKategori`","operationId":"LogKategori_Get","produces":["application/vnd.api+json"],"parameters":[{"name":"id","in":"path","required":true,"type":"string"}],"responses":{"200":{"description":"En `LogKategori`","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/log-kategori"},"links":{"$ref":"#/definitions/links"}}}}}}},"/administration/logs":{"get":{"tags":["administration"],"summary":"Henter alle logs.","operationId":"LogSoegning_GetLogs","produces":["application/vnd.api+json"],"parameters":[{"name":"soegeNoegle","in":"query","required":true,"type":"string"}],"responses":{"200":{"description":"En liste af objekter af typen `Log`","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/log-soegning"},"links":{"$ref":"#/definitions/links"}}}}}}},"/specifikationer/1/objektgrupper":{"get":{"tags":["specifikationer"],"summary":"Returnerer en liste af objekter af typen `Objektgruppe` (grupperinger af GeoDanmark Objekttyper)","operationId":"Objektgruppe_GetObjektgrupper","produces":["application/vnd.api+json"],"responses":{"200":{"description":"En liste af objekter af typen `Objektgruppe`","schema":{"required":["data"],"type":"object","properties":{"data":{"description":"An array of resource objects, an array of resource identifier objects, or an empty array ([]).","type":"array","items":{"$ref":"#/definitions/objektgruppe"}},"links":{"$ref":"#/definitions/links"}}}}}}},"/specifikationer/1/objektgrupper/{id}":{"get":{"tags":["specifikationer"],"summary":"Returnerer et objekt af typen `Objektgruppe` (gruppering af GeoDanmark Objekttyper)","operationId":"Objektgruppe_GetObjektgruppe","produces":["application/vnd.api+json"],"parameters":[{"name":"id","in":"path","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"Et objekt af typen `Objektgruppe`","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/objektgruppe"},"links":{"$ref":"#/definitions/links"}}}}}}},"/brugere/{brugerId}/objektgruppe-rettigheder":{"get":{"tags":["brugere"],"summary":"Returnerer en liste af objekter af typen `ObjektgruppeRettighed`","operationId":"ObjektgruppeRettigheder_GetObjektgruppeRettigheder","produces":["application/vnd.api+json"],"parameters":[{"name":"brugerId","in":"path","description":"Id på brugeren","required":true,"type":"string"}],"responses":{"200":{"description":"En liste af objekter af typen `ObjektgruppeRettighed`","schema":{"required":["data"],"type":"object","properties":{"data":{"description":"An array of resource objects, an array of resource identifier objects, or an empty array ([]).","type":"array","items":{"$ref":"#/definitions/objektgruppe-rettighed"}},"links":{"$ref":"#/definitions/links"}}}}}},"post":{"tags":["brugere"],"summary":"Opretter objekter af typen `Rettighed` og `ObjektgruppeRettighed` på baggrund af rettigheds kombination","operationId":"ObjektgruppeRettigheder_CreateObjektgruppeRettighed","consumes":["application/vnd.api+json"],"produces":["application/vnd.api+json"],"parameters":[{"name":"brugerId","in":"path","description":"ID på den `Bruger` der skal oprettes rettighed for","required":true,"type":"string"},{"name":"objektgruppeRettighed","in":"body","description":"`ObjektgruppeRettighed` der skal oprettes","required":true,"schema":{"type":"object","properties":{"data":{"$ref":"#/definitions/objektgruppe-rettighed"}}}}],"responses":{"200":{"description":"Et objekt af typen `ObjektgruppeRettighed`","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/objektgruppe-rettighed"},"links":{"$ref":"#/definitions/links"}}}},"201":{"description":"Undocumented","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/objektgruppe-rettighed"},"links":{"$ref":"#/definitions/links"}}}}}}},"/brugere/{brugerId}/objektgruppe-rettigheder/{id}":{"delete":{"tags":["brugere"],"summary":"Sletter objekter af typen `Rettighed` og `ObjektgruppeRettighed` på baggrund af rettigheds kombination","operationId":"ObjektgruppeRettigheder_DeleteObjektgruppeRettighed","consumes":["application/vnd.api+json"],"produces":["application/vnd.api+json"],"parameters":[{"name":"brugerId","in":"path","description":"ID på den `Bruger` der skal slettes rettighed for","required":true,"type":"string"},{"name":"id","in":"path","required":true,"type":"integer","format":"int32"}],"responses":{"204":{"description":"Operation successful","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/objektgruppe-rettighed"},"links":{"$ref":"#/definitions/links"}}}},"200":{"description":"Undocumented","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/objektgruppe-rettighed"},"links":{"$ref":"#/definitions/links"}}}}}}},"/objektkataloger/1":{"get":{"tags":["objektkataloger"],"summary":"Returns the full currently active `Objektkatalog` with included relations","operationId":"Objektkatalog_GetObjektkatalog","produces":["application/vnd.api+json"],"responses":{"200":{"description":"?","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/objektkatalog"},"links":{"$ref":"#/definitions/links"}}}}}}},"/specifikationer/1/objekttyper/{id}":{"get":{"tags":["specifikationer"],"summary":"Returnerer en `Objekttype` (type af GeoDanmark objekter)","operationId":"Objekttype_GetObjekttype","produces":["application/vnd.api+json"],"parameters":[{"name":"id","in":"path","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"Objekt af typen `Objekttype`","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/objekttype"},"links":{"$ref":"#/definitions/links"}}}}}}},"/specifikationer/1/objekttyper":{"get":{"tags":["specifikationer"],"summary":"Returnerer en liste af objekter af typen `objekttyper`.","operationId":"Objekttype_GetObjekttyper","produces":["application/vnd.api+json"],"parameters":[{"name":"sort","in":"query","required":false,"type":"string"}],"responses":{"200":{"description":"En liste af `objekttyper`","schema":{"required":["data"],"type":"object","properties":{"data":{"description":"An array of resource objects, an array of resource identifier objects, or an empty array ([]).","type":"array","items":{"$ref":"#/definitions/objekttype"}},"links":{"$ref":"#/definitions/links"}}}}}}},"/specifikationer/1/objekttypeegenskaber":{"get":{"tags":["specifikationer"],"summary":"Returnerer en liste af `Objekttypeegenskaber`, attributter til GeoDanmark Objekttyper","operationId":"Objekttypeegenskab_GetObjekttypeegenskaber","produces":["application/vnd.api+json"],"responses":{"200":{"description":"Liste af `Objekttypeegenskaber`, beskrivelse af attributter til GeoDanmark Objekttyper","schema":{"required":["data"],"type":"object","properties":{"data":{"description":"An array of resource objects, an array of resource identifier objects, or an empty array ([]).","type":"array","items":{"$ref":"#/definitions/objekttypeegenskab"}},"links":{"$ref":"#/definitions/links"}}}}}}},"/specifikationer/1/objekttypeegenskaber/{id}":{"get":{"tags":["specifikationer"],"summary":"Returnerer en `Objekttypeegenskab`,  beskrivelse af attributter til GeoDanmark Objekttyper","operationId":"Objekttypeegenskab_GetObjekttypeegenskab","produces":["application/vnd.api+json"],"parameters":[{"name":"id","in":"path","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"Objekt af typen`Objekttypeegenskab`","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/objekttypeegenskab"},"links":{"$ref":"#/definitions/links"}}}}}},"patch":{"tags":["specifikationer"],"operationId":"Objekttypeegenskab_UpdateObjekttypeegenskabSort","consumes":["application/vnd.api+json"],"produces":["application/vnd.api+json"],"parameters":[{"name":"objekttypeegenskab","in":"body","required":true,"schema":{"type":"object","properties":{"data":{"$ref":"#/definitions/objekttypeegenskab"}}}},{"name":"id","in":"path","required":true,"type":"string"}],"responses":{"200":{"description":"Den opdaterede `Objekttypeegenskab`","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/objekttypeegenskab"},"links":{"$ref":"#/definitions/links"}}}}}}},"/specifikationer/1/objekttyper/{id}/objekttypeegenskaber":{"get":{"tags":["specifikationer"],"summary":"Returnerer en liste af `Objekttypeegenskaber` (attributter til GeoDanmark Objekttyper) svarende til angivet Objekttype","operationId":"Objekttypeegenskab_GetObjekttypeegenskaberByObjekttypeId","produces":["application/vnd.api+json"],"parameters":[{"name":"id","in":"path","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"Liste af `Objekttypeegenskaber`, beskrivelse af attributter til GeoDanmark Objekttyper","schema":{"required":["data"],"type":"object","properties":{"data":{"description":"An array of resource objects, an array of resource identifier objects, or an empty array ([]).","type":"array","items":{"$ref":"#/definitions/objekttypeegenskab"}},"links":{"$ref":"#/definitions/links"}}}}}}},"/specifikationer/1/opslagslister":{"get":{"tags":["specifikationer"],"summary":"Returnerer en liste af `Opslagslister`, lister over gyldige værdier  for attributter af typen opslagsliste på GeoDanmark Objekter.","operationId":"Opslagsliste_GetOpslagslister","produces":["application/vnd.api+json"],"parameters":[{"name":"sort","in":"query","required":false,"type":"string"}],"responses":{"200":{"description":"Liste af `Opslagslister`, lister over gyldige værdier  for attributter af typen opslagsliste på GeoDanmark Objekter.","schema":{"required":["data"],"type":"object","properties":{"data":{"description":"An array of resource objects, an array of resource identifier objects, or an empty array ([]).","type":"array","items":{"$ref":"#/definitions/opslagsliste"}},"links":{"$ref":"#/definitions/links"}}}}}}},"/specifikationer/1/opslagslister/{id}":{"get":{"tags":["specifikationer"],"summary":"Returnerer angivet `Opslagslister`, liste over gyldige værdier for attributter af typen opslagsliste til GeoDanmark Objekter.","operationId":"Opslagsliste_GetOpslagsliste","produces":["application/vnd.api+json"],"parameters":[{"name":"id","in":"path","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"En `Opslagsliste`","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/opslagsliste"},"links":{"$ref":"#/definitions/links"}}}}}}},"/specifikationer/1/objekttypeegenskaber/{id}/opslagsliste":{"get":{"tags":["specifikationer"],"summary":"Returnerer en `Opslagsliste` (bruges til opslag af gyldige værdier på objekttypeegenskab (attribut) på et GeoDanmark Objekt)","operationId":"Opslagsliste_GetOpslagslisteByObjekttypeegenskab","produces":["application/vnd.api+json"],"parameters":[{"name":"id","in":"path","description":"ID for `Objekttypeegenskab`","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"`Opslagsliste` svarende til en given objekttypeegenskab (attribut på et GeoDanmark Objekt)","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/opslagsliste"},"links":{"$ref":"#/definitions/links"}}}}}}},"/specifikationer/1/opslagsvaerdier":{"get":{"tags":["specifikationer"],"summary":"Returnerer en liste af opslagsværdier for en given Opslagsliste.\r\n\r\nDette er gyldige værdier på objekttypeegenskab (attribut) på et GeoDanmark Objekt.","operationId":"Opslagsvaerdi_GetOpslagsvaerdier","produces":["application/vnd.api+json"],"responses":{"200":{"description":"Liste af `Opslagsvaerdi`, gyldige værdier for en Opslagsliste som bruges på GeoDanmark Objekter","schema":{"required":["data"],"type":"object","properties":{"data":{"description":"An array of resource objects, an array of resource identifier objects, or an empty array ([]).","type":"array","items":{"$ref":"#/definitions/opslagsvaerdi"}},"links":{"$ref":"#/definitions/links"}}}}}}},"/specifikationer/1/opslagslister/{id}/opslagsvaerdier":{"get":{"tags":["specifikationer"],"operationId":"Opslagsvaerdi_GetOpslagsvaerdierByOpslagslisteId","produces":["application/vnd.api+json"],"parameters":[{"name":"id","in":"path","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"Liste af `Opslagsvaerdi`, gyldige værdier for en Opslagsliste som bruges på GeoDanmark Objekter","schema":{"required":["data"],"type":"object","properties":{"data":{"description":"An array of resource objects, an array of resource identifier objects, or an empty array ([]).","type":"array","items":{"$ref":"#/definitions/opslagsvaerdi"}},"links":{"$ref":"#/definitions/links"}}}}}}},"/specifikationer/1/opslagsvaerdier/{id}":{"get":{"tags":["specifikationer"],"summary":"Returnerer beskrivelse af angivet `Opslagsvaerdi` gyldige værdie på objekttypeegenskab (attribut) på et GeoDanmark Objekt.","operationId":"Opslagsvaerdi_GetOpslagsvaerdi","produces":["application/vnd.api+json"],"parameters":[{"name":"id","in":"path","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"Objekt af typen `Opslagsvaerdi`","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/opslagsvaerdi"},"links":{"$ref":"#/definitions/links"}}}}}},"patch":{"tags":["specifikationer"],"operationId":"Opslagsvaerdi_UpdateOpslagsvaerdi","consumes":["application/vnd.api+json"],"produces":["application/vnd.api+json"],"parameters":[{"name":"opslagsvaerdi","in":"body","required":true,"schema":{"type":"object","properties":{"data":{"$ref":"#/definitions/opslagsvaerdi"}}}},{"name":"id","in":"path","required":true,"type":"string"}],"responses":{"200":{"description":"Den opdaterede `Opslagsvaerdi`","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/opslagsvaerdi"},"links":{"$ref":"#/definitions/links"}}}}}}},"/administration/organisationer":{"get":{"tags":["administration"],"summary":"Returnerer en liste af objekter af typen `Organisation`","operationId":"Organisationer_GetOrganisationer","produces":["application/vnd.api+json"],"responses":{"200":{"description":"En liste af objekter af typen `Organisation`","schema":{"required":["data"],"type":"object","properties":{"data":{"description":"An array of resource objects, an array of resource identifier objects, or an empty array ([]).","type":"array","items":{"$ref":"#/definitions/organisation"}},"links":{"$ref":"#/definitions/links"}}}}}},"post":{"tags":["administration"],"summary":"Opretter en ny `Organisation`.","operationId":"Organisationer_InsertOrganisation","consumes":["application/vnd.api+json"],"produces":["application/vnd.api+json"],"parameters":[{"name":"organisation","in":"body","description":"Et objekt af typen `Organisation`","required":true,"schema":{"type":"object","properties":{"data":{"$ref":"#/definitions/organisation"}}}}],"responses":{"201":{"description":"Det oprettede objekt af typen `Organisation` ","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/organisation"},"links":{"$ref":"#/definitions/links"}}}}}}},"/administration/organisationer/{id}":{"get":{"tags":["administration"],"summary":"Returnerer en `Organisation` (type af GeoDanmark objekter)","operationId":"Organisationer_GetOrganisation","produces":["application/vnd.api+json"],"parameters":[{"name":"id","in":"path","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"Objekt af typen `Organisation`","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/organisation"},"links":{"$ref":"#/definitions/links"}}}}}}},"/specifikationer/1/plan-noejagtigheder":{"get":{"tags":["specifikationer"],"summary":"Returnerer en liste af gyldige værdier for `PlanNoejagtighed` (egenskab på GeoDanmark objekter)","operationId":"PlanNoejagtighed_Get","produces":["application/vnd.api+json"],"responses":{"200":{"description":"Liste af objekter af typen `PlanNoejagtighed`","schema":{"required":["data"],"type":"object","properties":{"data":{"description":"An array of resource objects, an array of resource identifier objects, or an empty array ([]).","type":"array","items":{"$ref":"#/definitions/plan-noejagtighed"}},"links":{"$ref":"#/definitions/links"}}}}}}},"/specifikationer/1/plan-noejagtigheder/{id}":{"get":{"tags":["specifikationer"],"summary":"Returnerer beskrivelse af angivet `PlanNoejagtighed` (egenskab på GeoDanmark objekter)","operationId":"PlanNoejagtighed_Get","produces":["application/vnd.api+json"],"parameters":[{"name":"id","in":"path","required":true,"type":"string"}],"responses":{"200":{"description":"Undocumented","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/plan-noejagtighed"},"links":{"$ref":"#/definitions/links"}}}}}}},"/specifikationer/1/plan-stedfaestelsesmetoder":{"get":{"tags":["specifikationer"],"summary":"Returnerer en liste af gyldige værdier for `PlanStedfaestelsesmetode` (egenskab på GeoDanmark objekter)","operationId":"PlanStedfaestelsesmetode_Get","produces":["application/vnd.api+json"],"responses":{"200":{"description":"Liste af objekter af typen `PlanStedfaestelsesmetode`","schema":{"required":["data"],"type":"object","properties":{"data":{"description":"An array of resource objects, an array of resource identifier objects, or an empty array ([]).","type":"array","items":{"$ref":"#/definitions/plan-stedfaestelsesmetode"}},"links":{"$ref":"#/definitions/links"}}}}}}},"/specifikationer/1/plan-stedfaestelsesmetoder/{id}":{"get":{"tags":["specifikationer"],"operationId":"PlanStedfaestelsesmetode_Get","produces":["application/vnd.api+json"],"parameters":[{"name":"id","in":"path","required":true,"type":"string"}],"responses":{"200":{"description":"Undocumented","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/plan-stedfaestelsesmetode"},"links":{"$ref":"#/definitions/links"}}}}}}},"/administration/roller":{"get":{"tags":["administration"],"summary":"Returnerer beskrivelse af en `Rolle` der kan tildeles en GeoDanmark bruger","operationId":"Roller_GetRoller","produces":["application/vnd.api+json"],"responses":{"200":{"description":"En liste af objekter af typen `Rolle`","schema":{"required":["data"],"type":"object","properties":{"data":{"description":"An array of resource objects, an array of resource identifier objects, or an empty array ([]).","type":"array","items":{"$ref":"#/definitions/rolle"}},"links":{"$ref":"#/definitions/links"}}}}}}},"/brugere/{id}/roller":{"get":{"tags":["brugere"],"summary":"Returnerer et objekt af typen `Rolle`","operationId":"Roller_GetBrugerRoller","produces":["application/vnd.api+json"],"parameters":[{"name":"id","in":"path","description":"Id på rollen","required":true,"type":"string"}],"responses":{"200":{"schema":{"required":["data"],"type":"object","properties":{"data":{"description":"An array of resource objects, an array of resource identifier objects, or an empty array ([]).","type":"array","items":{"$ref":"#/definitions/rolle"}},"links":{"$ref":"#/definitions/links"}}}}}}},"/sager/{id}/godkendere":{"get":{"tags":["sager"],"summary":"Returnerer `Bruger` objekter der har godkend rettigheder på sagen","operationId":"SagBrugere_GetBrugereWithGodkendRettigheder","produces":["application/vnd.api+json"],"parameters":[{"name":"id","in":"path","description":"Id på sagen","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"`Bruger` objekter der har godkend rettigheder på sagen","schema":{"required":["data"],"type":"object","properties":{"data":{"description":"An array of resource objects, an array of resource identifier objects, or an empty array ([]).","type":"array","items":{"$ref":"#/definitions/bruger"}},"links":{"$ref":"#/definitions/links"}}}}}}},"/sager":{"get":{"tags":["sager"],"summary":"Returnerer en liste af `Sager`","description":"En `Sag` kan indeholde et sæt af objektforandringer (kladdeobjekter) med henblik på ajourføring af GeoDanmark Objekter.","operationId":"Sager_GetSager","produces":["application/vnd.api+json"],"parameters":[{"name":"sort","in":"query","required":false,"type":"string"},{"name":"page","in":"query","required":false,"type":"integer","format":"int32"}],"responses":{"200":{"description":"En liste af objekter af typen `Sag`","schema":{"required":["data"],"type":"object","properties":{"data":{"description":"An array of resource objects, an array of resource identifier objects, or an empty array ([]).","type":"array","items":{"$ref":"#/definitions/sag"}},"links":{"$ref":"#/definitions/links"}}}}}},"post":{"tags":["sager"],"summary":"Opretter en ny `Sag`","description":"En `Sag` kan indeholde et sæt af objektforandringer (kladdeobjekter) med henblik på ajourføring af GeoDanmark Objekter.","operationId":"Sager_PostSag","consumes":["application/vnd.api+json"],"produces":["application/vnd.api+json"],"parameters":[{"name":"sag","in":"body","description":"Objekt af typen `Sag`","required":true,"schema":{"type":"object","properties":{"data":{"$ref":"#/definitions/sag"}}}}],"responses":{"201":{"description":"Den oprettede `Sag`","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/sag"},"links":{"$ref":"#/definitions/links"}}}}}}},"/sager/{id}":{"get":{"tags":["sager"],"summary":"Returnerer en `Sag`","description":"En `Sag` kan indeholde et sæt af objektforandringer (kladdeobjekter) med henblik på ajourføring af GeoDanmark Objekter.","operationId":"Sager_GetSag","produces":["application/vnd.api+json"],"parameters":[{"name":"id","in":"path","description":"ID på en eksisterende `Sag`","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"Sagen","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/sag"},"links":{"$ref":"#/definitions/links"}}}}}},"patch":{"tags":["sager"],"summary":"Opdaterer en eksisterende Sag helt eller delvist","description":"Det er muligt at initiere godkendelse af en igangværende sag ved at ændre fra Status 1 Igang til Status 2 Sendt til godkendelse.\r\nGodkendelse vil da blive udført som et baggrundsjob. Sagen vil da, som en del af godkendelsen blive valideret fuldstændigt.\r\nHvis ingen fejl, vil alle Objektforandring blive gældende GeoDanmark Objekter. Sagen låses for ændringer imens.\r\nSagens status vil afhængigt af valideringsresultatet, efterfølgende automatisk blive sat til enten Status 1 Igang eller Status 4 Afsluttet.\r\nResultatet af godkendelse kan efterfølgende hentes ved følgende:\r\n\r\n1) Tjekke af godkendelsen er færdigafviklet.Dette kan udføres ved regelmæssigt poll på GET til /sager/{id}/jobs)\r\n2) Læse valideringsresultat på sagen (Udføres ved GET på /sager/{id}/valideringsfejl)) og eventuel tjek af status på sagen (GET på /sager/{id})","operationId":"Sager_UpdateSag","consumes":["application/vnd.api+json"],"produces":["application/vnd.api+json"],"parameters":[{"name":"id","in":"path","description":"ID på eksisterende`Sag`","required":true,"type":"integer","format":"int64"},{"name":"sag","in":"body","description":"Objekt af typen Sag indeholdende attributer der skal opdateres.","required":true,"schema":{"type":"object","properties":{"data":{"$ref":"#/definitions/sag"}}}},{"name":"gendan","in":"query","description":"Indicate that this update can rollback the *Sag* to an earlier date as specified by the property aktivitet-seneste.","required":false,"type":"boolean"},{"name":"split","in":"query","description":"*Objekter*, der ikke kan godkendes, overføres til en ny *Sag*, der oprettes automatisk.","required":false,"type":"boolean"}],"responses":{"200":{"description":"Den opdaterede `Sag`","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/sag"},"links":{"$ref":"#/definitions/links"}}}}}}},"/sager/{id}/konflikter":{"get":{"tags":["sager"],"summary":"Returnerer konflikter for en `Sag`","operationId":"Sager_GetKonflikter","produces":["application/vnd.api+json"],"parameters":[{"name":"id","in":"path","description":"ID på en eksisterende `Sag`","required":true,"type":"integer","format":"int64"},{"name":"page","in":"query","required":false,"type":"integer","format":"int32"}],"responses":{"200":{"description":"En liste af objekter af typen `Konflikt`","schema":{"required":["data"],"type":"object","properties":{"data":{"description":"An array of resource objects, an array of resource identifier objects, or an empty array ([]).","type":"array","items":{"$ref":"#/definitions/sag"}},"links":{"$ref":"#/definitions/links"}}}}}}},"/sager/{sagId}/konflikter/{objektId}":{"get":{"tags":["sager"],"summary":"Returnerer en konflikt for en `Sag`","operationId":"Sager_GetKonflikt","produces":["application/vnd.api+json"],"parameters":[{"name":"sagId","in":"path","required":true,"type":"integer","format":"int64"},{"name":"objektId","in":"path","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"`Konflikt`","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/sag"},"links":{"$ref":"#/definitions/links"}}}}}}},"/sager/{id}/sagsobjekter":{"get":{"tags":["sager"],"summary":"Gets sagsobjekter for en sag","operationId":"SagerSagsobjekter_GetSagsobjekter","produces":["application/vnd.api+json"],"parameters":[{"name":"id","in":"path","description":"Sag id","required":true,"type":"integer","format":"int64"},{"name":"page","in":"query","required":false,"type":"integer","format":"int32"}],"responses":{"200":{"description":"Et geodkobjekt","schema":{"required":["data"],"type":"object","properties":{"data":{"description":"An array of resource objects, an array of resource identifier objects, or an empty array ([]).","type":"array","items":{"$ref":"#/definitions/geodkobjekt"}},"links":{"$ref":"#/definitions/links"}}}}}},"post":{"tags":["sager"],"summary":"Opdater referencer til udpegede objekter som er tilføjet sagen i uændret tilstand  med henblik på download og offline-redigering","operationId":"SagerSagsobjekter_AddSagsobjekter","consumes":["application/vnd.api+json"],"produces":["application/vnd.api+json"],"parameters":[{"name":"id","in":"path","description":"Sag id","required":true,"type":"integer","format":"int64"},{"name":"sagsobjekterQuery","in":"body","required":true,"schema":{"type":"object","properties":{"data":{"$ref":"#/definitions/geodkobjekt"}}}}],"responses":{"201":{"description":"Operation successful","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/geodkobjekt"},"links":{"$ref":"#/definitions/links"}}}}}},"delete":{"tags":["sager"],"summary":"Sletter alle sagsobjekter for en sag","operationId":"SagerSagsobjekter_ClearSagsobjekter","consumes":["application/vnd.api+json"],"produces":["application/vnd.api+json"],"parameters":[{"name":"id","in":"path","description":"Sag id","required":true,"type":"integer","format":"int64"}],"responses":{"204":{"description":"Operation successful","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/geodkobjekt"},"links":{"$ref":"#/definitions/links"}}}},"200":{"description":"Undocumented","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/geodkobjekt"},"links":{"$ref":"#/definitions/links"}}}}}}},"/sager/{id}/filer/{uuid}":{"get":{"tags":["sager"],"summary":"Link til fil der kan downloades, enten eksportfil med sagens objekter, eller fil med valideringsfejl eller konflikter","operationId":"SagFiler_GetFil","consumes":[],"produces":["application/vnd.api+json","application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int64"},{"name":"uuid","in":"path","description":"","required":true,"type":"string"}],"responses":{"200":{"description":""}}}},"/sager/{id}/geodkobjekter":{"get":{"tags":["sager"],"summary":"Returnerer en kombination af gældende geodkobjekter og kladdeobjekter","description":"Hvis man kalder med ID uden angivet boundingbox, returneres alle kladdeobjekter på sagen samt sletninger og sagsobjekter.","operationId":"SagGeodkobjekter_GetGeodkobjekter","produces":["application/vnd.api+json"],"parameters":[{"name":"id","in":"path","required":true,"type":"integer","format":"int64"},{"name":"bbox","in":"query","required":false,"type":"string"},{"name":"page","in":"query","required":false,"type":"integer","format":"int32"}],"responses":{"200":{"description":"En liste af objekter af typen `Geodkobjekt`","schema":{"required":["data"],"type":"object","properties":{"data":{"description":"An array of resource objects, an array of resource identifier objects, or an empty array ([]).","type":"array","items":{"$ref":"#/definitions/geodkobjekt"}},"links":{"$ref":"#/definitions/links"}}}}}},"post":{"tags":["sager"],"summary":"Opretter et kladdeobjekt på sagen enten nyt eller ændret","description":"Der kan også oprettes en sletning af et gældende objekt, se særkilt parameter. Ved ændringer kladdeobjekter oprettes nye versioner heraf.","operationId":"SagGeodkobjekter_PostGeodkobjekt","consumes":["application/vnd.api+json"],"produces":["application/vnd.api+json"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int64"},{"name":"geodkobjekt","in":"body","description":"","required":true,"schema":{"type":"object","properties":{"data":{"$ref":"#/definitions/geodkobjekt"}}}},{"name":"sletning","in":"query","description":"","required":false,"type":"boolean"},{"name":"autozmethod","in":"query","required":false,"type":"integer","format":"int32","enum":[0,1,2]}],"responses":{"200":{"description":"`Geodkobjekt`","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/geodkobjekt"},"links":{"$ref":"#/definitions/links"}}}},"201":{"description":"Undocumented","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/geodkobjekt"},"links":{"$ref":"#/definitions/links"}}}}}}},"/sager/{sagId}/geodkobjekter/{geodkobjektId}":{"get":{"tags":["sager"],"summary":"Returnerer ett GeoDanmark objekt (af typen `Geodkobjekt`) med henblik på ajourføring via en sag","operationId":"SagGeodkobjekter_GetGeodkobjekt","produces":["application/vnd.api+json"],"parameters":[{"name":"sagId","in":"path","required":true,"type":"integer","format":"int64"},{"name":"geodkobjektId","in":"path","required":true,"type":"integer","format":"int64"},{"name":"slettet","in":"query","required":false,"type":"boolean"}],"responses":{"200":{"description":"Ett objekt af typen `Geodkobjekt`","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/geodkobjekt"},"links":{"$ref":"#/definitions/links"}}}}}}},"/sager/{id}/geodkobjekt-ops":{"post":{"tags":["sager"],"summary":"Udfør en handling på en eller flere GeoDanmark objekter","operationId":"SagGeodkobjekter_PostGeodkobjektOp","consumes":["application/vnd.api+json"],"produces":["application/vnd.api+json"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int64"},{"name":"geodkobjektOp","in":"body","description":"","required":true,"schema":{"type":"object","properties":{"data":{"$ref":"#/definitions/geodkobjekt"}}}}],"responses":{"200":{"description":"GeodkobjektOpResource","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/geodkobjekt"},"links":{"$ref":"#/definitions/links"}}}},"201":{"description":"Undocumented","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/geodkobjekt"},"links":{"$ref":"#/definitions/links"}}}}}}},"/administration/sagsstatus":{"get":{"tags":["administration"],"summary":"Returnerer en liste af gyldig vædier for typen `Sagsstatus`","operationId":"Sagsstatus_Get","produces":["application/vnd.api+json"],"responses":{"200":{"description":"Liste med gyldige værdier for typen `Sagsstatus`","schema":{"required":["data"],"type":"object","properties":{"data":{"description":"An array of resource objects, an array of resource identifier objects, or an empty array ([]).","type":"array","items":{"$ref":"#/definitions/sagsstatus"}},"links":{"$ref":"#/definitions/links"}}}}}}},"/administration/sagsstatus/{id}":{"get":{"tags":["administration"],"summary":"Returnerer beskrivelse af angivet sagsstatus-værdi","operationId":"Sagsstatus_Get","produces":["application/vnd.api+json"],"parameters":[{"name":"id","in":"path","required":true,"type":"string"}],"responses":{"200":{"description":"Undocumented","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/sagsstatus"},"links":{"$ref":"#/definitions/links"}}}}}}},"/specifikationer/1/sanktionstyper":{"get":{"tags":["specifikationer"],"summary":"Returnerer liste over gyldige Sanktionstyper","operationId":"Sanktionstype_Get","produces":["application/vnd.api+json"],"responses":{"200":{"description":"Liste med gyldige værdier for typen `Sanktionstype`","schema":{"required":["data"],"type":"object","properties":{"data":{"description":"An array of resource objects, an array of resource identifier objects, or an empty array ([]).","type":"array","items":{"$ref":"#/definitions/sanktionstype"}},"links":{"$ref":"#/definitions/links"}}}}}}},"/specifikationer/1/sanktionstyper/{id}":{"get":{"tags":["specifikationer"],"summary":"Returnerer Sanktionstype ud fra id","operationId":"Sanktionstype_Get","produces":["application/vnd.api+json"],"parameters":[{"name":"id","in":"path","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"Undocumented","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/sanktionstype"},"links":{"$ref":"#/definitions/links"}}}}}}},"/specifikationer/{id}":{"get":{"tags":["specifikationer"],"summary":"","operationId":"Specifikation_GetSpecifikation","produces":["application/vnd.api+json"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"Et objekt af typen `Specifikation`","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/specifikation"},"links":{"$ref":"#/definitions/links"}}}}}}},"/specifikationer":{"get":{"tags":["specifikationer"],"summary":"Returnere beskrivelse af specifikationsversion, default den aktuelle GeoDanmark specifikation.","operationId":"Specifikation_GetSpecifikationer","produces":["application/vnd.api+json"],"responses":{"200":{"description":"Et objekt af typen `Specifikation`","schema":{"required":["data"],"type":"object","properties":{"data":{"description":"An array of resource objects, an array of resource identifier objects, or an empty array ([]).","type":"array","items":{"$ref":"#/definitions/specifikation"}},"links":{"$ref":"#/definitions/links"}}}}}}},"/fagomraader/{id}/specifikationer":{"get":{"tags":["fagomraader"],"summary":"","operationId":"Specifikation_GetSpecifikationByFagomraade","produces":["application/vnd.api+json"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"Et objekt af typen `Specifikation`","schema":{"required":["data"],"type":"object","properties":{"data":{"description":"An array of resource objects, an array of resource identifier objects, or an empty array ([]).","type":"array","items":{"$ref":"#/definitions/specifikation"}},"links":{"$ref":"#/definitions/links"}}}}}}},"/specifikationer/xmiupload":{"post":{"tags":["specifikationer"],"summary":"Importerer en ny specifiaktion fra en XMI fil, konverterer den og gemmer den i databasen","operationId":"Specifikation_Upload","consumes":["application/vnd.api+json"],"produces":["application/vnd.api+json"],"parameters":[{"name":"fagomraade","in":"query","required":true,"type":"integer","format":"int32"},{"name":"beskrivelse","in":"query","required":true,"type":"string"},{"name":"version","in":"query","required":true,"type":"string"}],"responses":{"200":{"description":"Et objekt af typen `Specifikation`","schema":{"required":["data"],"type":"object","properties":{"data":{"description":"An array of resource objects, an array of resource identifier objects, or an empty array ([]).","type":"array","items":{"$ref":"#/definitions/specifikation"}},"links":{"$ref":"#/definitions/links"}}}},"201":{"description":"Undocumented","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/specifikation"},"links":{"$ref":"#/definitions/links"}}}}}}},"/specifikationer/{id}/specifikationsskifte":{"post":{"tags":["specifikationer"],"summary":"Gør en ikke gældende specifikation til gældende","operationId":"Specifikation_DoSpecifikationsskifte","consumes":["application/vnd.api+json"],"produces":["application/vnd.api+json"],"parameters":[{"name":"id","in":"path","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"Et objekt af typen `Specifikation`","schema":{"required":["data"],"type":"object","properties":{"data":{"description":"An array of resource objects, an array of resource identifier objects, or an empty array ([]).","type":"array","items":{"$ref":"#/definitions/specifikation"}},"links":{"$ref":"#/definitions/links"}}}},"201":{"description":"Undocumented","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/specifikation"},"links":{"$ref":"#/definitions/links"}}}}}}},"/specifikationer/1/status":{"get":{"tags":["specifikationer"],"summary":"Returnerer en liste af gyldige værdier for `Status` (egenskab på GeoDanmark Objekter)","operationId":"Status_Get","produces":["application/vnd.api+json"],"responses":{"200":{"description":"En liste af gyldige værdier for `Status` (egenskab på GeoDanmark Objekter)","schema":{"required":["data"],"type":"object","properties":{"data":{"description":"An array of resource objects, an array of resource identifier objects, or an empty array ([]).","type":"array","items":{"$ref":"#/definitions/status"}},"links":{"$ref":"#/definitions/links"}}}}}}},"/specifikationer/1/status/{id}":{"get":{"tags":["specifikationer"],"summary":"Returnerer beskrivelse af angivet `Status` (egenskab på GeoDanmark Objekter)","operationId":"Status_Get","produces":["application/vnd.api+json"],"parameters":[{"name":"id","in":"path","required":true,"type":"string"}],"responses":{"200":{"description":"Undocumented","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/status"},"links":{"$ref":"#/definitions/links"}}}}}}},"/sager/{id}/valideringsfejl":{"get":{"tags":["sager"],"summary":"Returnerer en liste af objekter af typen `Valideringsfejl`.","description":"Fejl kan være: \r\n- Blokerende(forhindrer godkendelse)\r\n- Karantænesættende(kræver dispensation for at kunne godkendes)\r\n- Advarende(kan godkendes men bør rettes)\r\nHvis listen er tom, betyder det at der ingen fejl er fundet ved validering.\r\nValideringsfejl vil senere blive udvidet med information om relation til valideringsregler.","operationId":"Valideringsfejl_GetValideringfejl","produces":["application/vnd.api+json"],"parameters":[{"name":"id","in":"path","required":true,"type":"integer","format":"int64"},{"name":"page","in":"query","required":false,"type":"integer","format":"int32"}],"responses":{"200":{"description":"En liste af `Valideringsfejl`","schema":{"required":["data"],"type":"object","properties":{"data":{"description":"An array of resource objects, an array of resource identifier objects, or an empty array ([]).","type":"array","items":{"$ref":"#/definitions/valideringsfejl"}},"links":{"$ref":"#/definitions/links"}}}}}}},"/sager/{id}/valideringsfejl/{valideringsfejlId}":{"patch":{"tags":["sager"],"summary":"Opdaterer et objekt af typen `Valideringsfejl`","description":"med henblik på  `Valideringsdispensation` i forbindelse med accept af karantænsesættende `Valideringsfejl`","operationId":"Valideringsfejl_PatchValideringfejlSingle","consumes":["application/vnd.api+json"],"produces":["application/vnd.api+json"],"parameters":[{"name":"id","in":"path","required":true,"type":"integer","format":"int64"},{"name":"valideringsfejlId","in":"path","required":true,"type":"integer","format":"int64"},{"name":"valideringsfejl","in":"body","required":true,"schema":{"type":"object","properties":{"data":{"$ref":"#/definitions/valideringsfejl"}}}}],"responses":{"200":{"description":"Undocumented","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/valideringsfejl"},"links":{"$ref":"#/definitions/links"}}}}}}},"/specifikationer/1/valideringsregler/{id}":{"get":{"tags":["specifikationer"],"summary":"Returnerer et objekt af typen `Valideringsregel`.","operationId":"Valideringsregel_GetValideringsregel","produces":["application/vnd.api+json"],"parameters":[{"name":"id","in":"path","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"Et objekt af typen `Valideringsregel`","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/valideringsregel"},"links":{"$ref":"#/definitions/links"}}}}}},"delete":{"tags":["specifikationer"],"operationId":"Valideringsregel_DeleteValideringsregel","consumes":["application/vnd.api+json"],"produces":["application/vnd.api+json"],"parameters":[{"name":"id","in":"path","required":true,"type":"integer","format":"int32"}],"responses":{"200":{"description":"Id for den slettede `Valideringsregel`","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/valideringsregel"},"links":{"$ref":"#/definitions/links"}}}}}},"patch":{"tags":["specifikationer"],"operationId":"Valideringsregel_UpdateValideringsregel","consumes":["application/vnd.api+json"],"produces":["application/vnd.api+json"],"parameters":[{"name":"id","in":"path","required":true,"type":"integer","format":"int32"},{"name":"valideringsregel","in":"body","required":true,"schema":{"type":"object","properties":{"data":{"$ref":"#/definitions/valideringsregel"}}}}],"responses":{"200":{"description":"Den opdaterede `Valideringsregel`","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/valideringsregel"},"links":{"$ref":"#/definitions/links"}}}}}}},"/specifikationer/1/valideringsregler":{"get":{"tags":["specifikationer"],"summary":"Returnerer en liste af objekter af typen `Valideringsregel`.","operationId":"Valideringsregel_GetValideringsregler","produces":["application/vnd.api+json"],"parameters":[{"name":"sort","in":"query","required":false,"type":"string"},{"name":"page","in":"query","required":false,"type":"integer","format":"int32"}],"responses":{"200":{"description":"En liste af `Valideringsregel`","schema":{"required":["data"],"type":"object","properties":{"data":{"description":"An array of resource objects, an array of resource identifier objects, or an empty array ([]).","type":"array","items":{"$ref":"#/definitions/valideringsregel"}},"links":{"$ref":"#/definitions/links"}}}}}},"post":{"tags":["specifikationer"],"operationId":"Valideringsregel_CreateValideringsregel","consumes":["application/vnd.api+json"],"produces":["application/vnd.api+json"],"parameters":[{"name":"valideringsregel","in":"body","required":true,"schema":{"type":"object","properties":{"data":{"$ref":"#/definitions/valideringsregel"}}}}],"responses":{"200":{"description":"Den nye `Valideringsregel`","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/valideringsregel"},"links":{"$ref":"#/definitions/links"}}}},"201":{"description":"Undocumented","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/valideringsregel"},"links":{"$ref":"#/definitions/links"}}}}}}},"/specifikationer/1/valideringsregler/download":{"get":{"tags":["specifikationer"],"operationId":"Valideringsregel_DownloadValideringsregler","produces":["application/vnd.api+json"],"parameters":[{"name":"sort","in":"query","required":false,"type":"string"}],"responses":{"200":{"description":"Undocumented","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/valideringsregel"},"links":{"$ref":"#/definitions/links"}}}}}}},"/specifikationer/1/valideringsregler/{id}/valideringsregelobjekttyper":{"get":{"tags":["specifikationer"],"summary":"Returnerer et objekt af typen `ValideringsregelObjekttype`.","operationId":"ValideringsregelObjekttype_GetValideringsregelObjekttyper","produces":["application/vnd.api+json"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"Et objekt af typen `ValideringsregelObjekttype`","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/valideringsregel-objekttype"},"links":{"$ref":"#/definitions/links"}}}}}},"post":{"tags":["specifikationer"],"summary":"Opretter et objekt at typen `ValideringsregelObjekttype`.","operationId":"ValideringsregelObjekttype_CreateValideringsregelObjekttype","consumes":["application/vnd.api+json"],"produces":["application/vnd.api+json"],"parameters":[{"name":"model","in":"body","description":"","required":true,"schema":{"type":"object","properties":{"data":{"$ref":"#/definitions/valideringsregel-objekttype"}}}},{"name":"id","in":"path","required":true,"type":"string"}],"responses":{"200":{"description":"Den nye `ValideringsregelObjekttype`","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/valideringsregel-objekttype"},"links":{"$ref":"#/definitions/links"}}}},"201":{"description":"Undocumented","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/valideringsregel-objekttype"},"links":{"$ref":"#/definitions/links"}}}}}}},"/specifikationer/1/valideringsregler/{valideringsregelid}/valideringsregelobjekttyper/{id}":{"delete":{"tags":["specifikationer"],"summary":"Sletter et objekt at typen `ValideringsregelObjekttype`.","operationId":"ValideringsregelObjekttype_DeleteValideringsregelObjekttype","consumes":["application/vnd.api+json"],"produces":["application/vnd.api+json"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int64"},{"name":"valideringsregelid","in":"path","required":true,"type":"string"}],"responses":{"204":{"description":"Operation successful","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/valideringsregel-objekttype"},"links":{"$ref":"#/definitions/links"}}}},"200":{"description":"Undocumented","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/valideringsregel-objekttype"},"links":{"$ref":"#/definitions/links"}}}}}},"patch":{"tags":["specifikationer"],"summary":"Opdatere et objekt at typen `ValideringsregelObjekttype`.","operationId":"ValideringsregelObjekttype_UpdateValideringsregelObjekttype","consumes":["application/vnd.api+json"],"produces":["application/vnd.api+json"],"parameters":[{"name":"valideringsregelObjekttype","in":"body","description":"","required":true,"schema":{"type":"object","properties":{"data":{"$ref":"#/definitions/valideringsregel-objekttype"}}}},{"name":"valideringsregelid","in":"path","required":true,"type":"string"},{"name":"id","in":"path","required":true,"type":"string"}],"responses":{"200":{"description":"Den opdaterede `ValideringsregelObjekttype`","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/valideringsregel-objekttype"},"links":{"$ref":"#/definitions/links"}}}}}}},"/specifikationer/1/valideringsregler/{id}/valideringsregelrelateretobjekttyper":{"get":{"tags":["specifikationer"],"summary":"Returnerer et objekt af typen `ValideringsregelRelateretObjekttype`.","operationId":"ValideringsregelRelateretObjekttype_ValideringsregelRelateretObjekttyper","produces":["application/vnd.api+json"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"Et objekt af typen `ValideringsregelRelateretObjekttype`","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/valideringsregel-relateret-objekttype"},"links":{"$ref":"#/definitions/links"}}}}}},"post":{"tags":["specifikationer"],"summary":"Opretter et objekt af typen `ValideringsregelRelateretObjekttype`.","operationId":"ValideringsregelRelateretObjekttype_CreateValideringsregelRelateretObjekttype","consumes":["application/vnd.api+json"],"produces":["application/vnd.api+json"],"parameters":[{"name":"model","in":"body","description":"","required":true,"schema":{"type":"object","properties":{"data":{"$ref":"#/definitions/valideringsregel-relateret-objekttype"}}}},{"name":"id","in":"path","required":true,"type":"string"}],"responses":{"200":{"description":"Den nye `ValideringsregelRelateretObjekttype`","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/valideringsregel-relateret-objekttype"},"links":{"$ref":"#/definitions/links"}}}},"201":{"description":"Undocumented","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/valideringsregel-relateret-objekttype"},"links":{"$ref":"#/definitions/links"}}}}}},"patch":{"tags":["specifikationer"],"summary":"Opdatere et objekt af typen `ValideringsregelRelateretObjekttype`.","operationId":"ValideringsregelRelateretObjekttype_UpdateValideringsregelObjekttype","consumes":["application/vnd.api+json"],"produces":["application/vnd.api+json"],"parameters":[{"name":"valideringsregelRelateretObjekttype","in":"body","description":"","required":true,"schema":{"type":"object","properties":{"data":{"$ref":"#/definitions/valideringsregel-relateret-objekttype"}}}},{"name":"id","in":"path","required":true,"type":"string"}],"responses":{"200":{"description":"Den opdaterede `ValideringsregelRelateretObjekttype`","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/valideringsregel-relateret-objekttype"},"links":{"$ref":"#/definitions/links"}}}}}}},"/specifikationer/1/valideringsregler/{valideringsregelid}/valideringsregelrelateretobjekttyper/{id}":{"delete":{"tags":["specifikationer"],"summary":"Sletter et objekt af typen `ValideringsregelRelateretObjekttype`.","operationId":"ValideringsregelRelateretObjekttype_DeleteValideringsregelRelateretObjekttype","consumes":["application/vnd.api+json"],"produces":["application/vnd.api+json"],"parameters":[{"name":"id","in":"path","description":"","required":true,"type":"integer","format":"int64"},{"name":"valideringsregelid","in":"path","required":true,"type":"string"}],"responses":{"204":{"description":"Operation successful","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/valideringsregel-relateret-objekttype"},"links":{"$ref":"#/definitions/links"}}}},"200":{"description":"Undocumented","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/valideringsregel-relateret-objekttype"},"links":{"$ref":"#/definitions/links"}}}}}}},"/specifikationer/1/vertikal-noejagtigheder":{"get":{"tags":["specifikationer"],"summary":"Returnerer en liste af gyldige værdier for `VertikalNoejagtighed` (egenskab på GeoDanmark objekter)","operationId":"VertikalNoejagtighed_Get","produces":["application/vnd.api+json"],"responses":{"200":{"description":"Liste af gyldige værdier for `Vertikalnoejagtighed` (egenskab på GeoDanmark objekter)","schema":{"required":["data"],"type":"object","properties":{"data":{"description":"An array of resource objects, an array of resource identifier objects, or an empty array ([]).","type":"array","items":{"$ref":"#/definitions/vertikal-noejagtighed"}},"links":{"$ref":"#/definitions/links"}}}}}}},"/specifikationer/1/vertikal-noejagtigheder/{id}":{"get":{"tags":["specifikationer"],"summary":"Returnerer beskrivelse af angivet `VertikalNoejagtighed` (egenskab på GeoDanmark objekter)","operationId":"VertikalNoejagtighed_Get","produces":["application/vnd.api+json"],"parameters":[{"name":"id","in":"path","required":true,"type":"string"}],"responses":{"200":{"description":"Undocumented","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/vertikal-noejagtighed"},"links":{"$ref":"#/definitions/links"}}}}}}},"/specifikationer/1/vertikal-stedfaestelsesmetoder":{"get":{"tags":["specifikationer"],"summary":"Returnerer en liste af gyldige værdier for `Vertikalstedfaestelsesmetode` (egenskab på GeoDanmark objekter)","operationId":"VertikalStedfaestelsesmetode_Get","produces":["application/vnd.api+json"],"responses":{"200":{"description":"Liste af gyldige værdier for `VertikalStedfaestelsesmetode` (egenskab på GeoDanmark objekter)","schema":{"required":["data"],"type":"object","properties":{"data":{"description":"An array of resource objects, an array of resource identifier objects, or an empty array ([]).","type":"array","items":{"$ref":"#/definitions/vertikal-stedfaestelsesmetode"}},"links":{"$ref":"#/definitions/links"}}}}}}},"/specifikationer/1/vertikal-stedfaestelsesmetoder/{id}":{"get":{"tags":["specifikationer"],"summary":"Returnerer beskrivelse af angivet `VertikalStedfaestelsesmetode` (egenskab på GeoDanmark objekter)","operationId":"VertikalStedfaestelsesmetode_Get","produces":["application/vnd.api+json"],"parameters":[{"name":"id","in":"path","required":true,"type":"string"}],"responses":{"200":{"description":"Undocumented","schema":{"required":["data"],"type":"object","properties":{"data":{"$ref":"#/definitions/vertikal-stedfaestelsesmetode"},"links":{"$ref":"#/definitions/links"}}}}}}},"/wms":{"get":{"tags":["wms"],"summary":"Returnerer et kortbillede renderet på baggrund af data","description":"Indholdet af kortet er GeoDanmark Objekter fra GeoDK systemet selv. Angives 'sagId' returneres kortet, som det ser ud i kontekst af den sag. Enten Gældende GeoDanmark objekter eller objektforandringer (kladdeobjekter)\r\nSelve endpointet her er ikke REST/JSON endpoint, men derimod et WMS 1.1.1/1.3.0 kompatibelt endpoint. Se http://www.opengeospatial.org/standards/wms omkring WMS specification, herunder både request og responsparametre.\"","operationId":"Wms_GetWmsResponse","consumes":[],"produces":["application/vnd.api+json","application/json","text/json","application/xml","text/xml"],"parameters":[{"name":"sagId","in":"query","description":"Sag id","required":false,"type":"integer","format":"int32"}],"responses":{"200":{"description":""}}}}},"definitions":{"bruger":{"description":"En brugerkonto. Kan være: 1 fysisk person identificeret via DMP eller lokalt AD, 2 en systembruger, eksternt system eller 3 en procesbruger","required":["type","id"],"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"attributes":{"required":["betegnelse","navn","email","aktiv","eksternidentitet","autentificeret-id","praeferencer","oprettet","sidst-aendret","seneste-login","lokalerettigheder"],"type":"object","properties":{"betegnelse":{"description":"Brugernavn, initialer, email eller lignendem, der identificerer brugeren","type":"string"},"navn":{"description":"Fuldt navn","type":"string"},"email":{"description":"email adresse til notifikationer, kontakt mv (ikke påkrævet)","type":"string"},"aktiv":{"description":"Markering om der er åben fro brugeren (true)","type":"boolean"},"eksternidentitet":{"description":"Identitetsinformation fra ekstern IdentityProvider","type":"string"},"autentificeret-id":{"format":"int32","description":"Reference til den identity provider brugeren anvender (ikke påkrævet)","type":"integer"},"praeferencer":{"description":"Brugerspecifkke opsætninger (ikke påkrævet)","type":"object"},"oprettet":{"format":"date","description":"Timestamp for oprettelse","type":"string"},"sidst-aendret":{"format":"date","description":"Tidsstempel for ændring","type":"string"},"seneste-login":{"format":"date","description":"Tidspunkt for seneste login (ikke påkrævet)","type":"string"},"lokalerettigheder":{"description":"Angiver om brugeren er defineret med lokale rettigheder","type":"boolean"}}},"links":{"$ref":"#/definitions/links"},"relationships":{"description":"Members of the relationships object(\"relationships\") represent references from the resource object in which it's defined to other resource objects.","type":"object","properties":{"organisation":{"$ref":"#/definitions/relationshipToOne","description":"Reference til organisation"},"autoriseres-af-organisation":{"$ref":"#/definitions/relationshipToOne","description":"Reference til hvilken organisation, der autoriserer denne bruger"},"roller":{"$ref":"#/definitions/relationshipToMany"}}}}},"geodkobjekt":{"description":"Godkendte, gældende geodk-objekter. Strukturen er defineret ift. objektkataloget for gældende specifikation og fagområde.","required":["type","id"],"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"attributes":{"required":["registrering-fra","virkning-fra","virkning-til","egenskaber","geometri","kommentar","dataansvar","temp-i-d","registreringsaktoer","virkningsaktoer","applikation","opdelt-fra-objekt-id"],"type":"object","properties":{"registrering-fra":{"format":"date","description":"Tidspunkt for indlæggelse af versionen af objektet ii databasen.","type":"string"},"virkning-fra":{"format":"date","description":"Administrativt tidspunkt for hvornår objektet virker fra","type":"string"},"virkning-til":{"format":"date","description":"Administrativt tidspunkt for hvornår objektet virker til (ikke påkrævet)","type":"string"},"egenskaber":{"description":"Objektspecifikke egenskaber jf. objektkatalog. Indholdet af jsonb strukturen afspejler den konkrete objekttype ihht. den aktuelle specifikation mht. navne, datatyper, lookup-lister mv.","type":"object"},"geometri":{"$ref":"#/definitions/geometry","description":"Objektets geometri. Geometritypen svarer til objekttypens som defineret i objektkataloget."},"kommentar":{"description":"Valgfri kommentar på objektet (ikke påkrævet)","type":"string"},"dataansvar":{"description":"Navn på myndighed, som har dataansvaret for objektet. Flere myndigheder adskilles af semikolon","type":"string"},"temp-i-d":{"description":"Valgfrit id, der kan anvendes af klienter (ikke påkrævet)","type":"string"},"registreringsaktoer":{"description":"Aktør der har oprettet objektet","type":"string"},"virkningsaktoer":{"description":"Aktør der sidst har rettet objektet (ved oprettelse = registreringsaktør)","type":"string"},"applikation":{"description":"Angivelse af applikation og version (frit format), som har udført rettelsen","type":"string"},"opdelt-fra-objekt-id":{"format":"int64","description":"Reference til objekt som det er opdelt fra (ikke påkrævet)","type":"integer"}}},"links":{"$ref":"#/definitions/links"},"relationships":{"description":"Members of the relationships object(\"relationships\") represent references from the resource object in which it's defined to other resource objects.","type":"object","properties":{"objekttype":{"$ref":"#/definitions/relationshipToOne","description":"Objekttypen jf. objektkatalog"},"godkendt-af-bruger":{"$ref":"#/definitions/relationshipToOne","description":"Reference til bruger, der har godkendt objektet"},"status":{"$ref":"#/definitions/relationshipToOne","description":"Reference til statusværdi for objektet"},"geometristatus":{"$ref":"#/definitions/relationshipToOne","description":"Reference til geometristatus for objektet"},"forretningshaendelse":{"$ref":"#/definitions/relationshipToOne","description":"Reference til forretningshændelse, der har udløst denne version af objektet"},"forretningsproces":{"$ref":"#/definitions/relationshipToOne","description":"Reference til den forretningsproces, der har udløst denne version af objektet"},"plan-noejagtighed":{"$ref":"#/definitions/relationshipToOne","description":"Objektets nøjagtighed i planen (meter)"},"plan-stedfaestelsesmetode":{"$ref":"#/definitions/relationshipToOne","description":"Reference til den anvendte metode for plan stedfæstelse"},"vertikal-noejagtighed":{"$ref":"#/definitions/relationshipToOne","description":"Reference til objektets vertikale nøjagtighed"},"vertikal-stedfaestelsesmetode":{"$ref":"#/definitions/relationshipToOne","description":"Reference til den anvendte metode for vertikal stedfæstelse"},"aendringsstatus":{"$ref":"#/definitions/relationshipToOne"}}}}},"sag":{"description":"Sag er container for alt redigering af GeoDK data. En sag er åben for tilføjelse af objektforandringer for den sagsansvarlige (opretter eller senest delegerede bruger. Alle kan tilføje kommentarer på en sag. Livscyklus for en sag er: \"Igang\", \"Sendt til godkendelse\", \"afventer godkendelses validering\", \"afsluttet\"","required":["type","id"],"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"attributes":{"required":["navn","beskrivelse","gyldig-fra","automatisk-validering","aktiviteter-antal","aktivitet-seneste","valideringsfejl-advarsel-antal","valideringsfejl-karantaene-antal","valideringsfejl-blokering-antal","valideringsfejl-dispenseret-antal","sagsvalidering-estimeret-tid","geodkobjekter-uaendret-antal","geodkobjekter-nyt-antal","geodkobjekter-slettet-antal","geodkobjekter-aendret-antal","has-godkend-rettighed","konflikter-antal","has-validering-igangvaerende","has-export-igangvaerende","has-import-igangvaerende","konflikter-fil-id","valideringsfejl-fil-id","bbox"],"type":"object","properties":{"navn":{"description":"Sagens navn","type":"string"},"beskrivelse":{"description":"Fyldestgørende beskrivelse af sagen (ikke påkrævet)","type":"string"},"gyldig-fra":{"format":"date","description":"Tidspunkt for oprettelse af sagen","type":"string"},"automatisk-validering":{"type":"boolean"},"aktiviteter-antal":{"format":"int32","description":"Opsummeret antal aktiviteter på sagen","type":"integer"},"aktivitet-seneste":{"format":"date","description":"Seneste aktivitet","type":"string"},"valideringsfejl-advarsel-antal":{"format":"int32","description":"Samlet antal valideringsfejl på sagen, der er advarselsgivende","type":"integer"},"valideringsfejl-karantaene-antal":{"format":"int32","description":"Samlet antal valideringsfejl på sagen, der er karantænesættende","type":"integer"},"valideringsfejl-blokering-antal":{"format":"int32","description":"Samlet antal valideringsfejl på sagen, der er blokerende","type":"integer"},"valideringsfejl-dispenseret-antal":{"format":"int32","description":"Samlet antal valideringsfejl på sagen, der er dispenseret for","type":"integer"},"sagsvalidering-estimeret-tid":{"format":"int32","description":"Estimateret tid ifor en validering af sagen, måles i millisekunder","type":"integer"},"geodkobjekter-uaendret-antal":{"format":"int32","description":"Antal tilknyttede GeoDanmark objekter på sagen der ikke er bleve ændret","type":"integer"},"geodkobjekter-nyt-antal":{"format":"int32","description":"Antal kladdeobjekter på sagen der er nyoprettede","type":"integer"},"geodkobjekter-slettet-antal":{"format":"int32","description":"Antal kladdeobjekter på sagen, der er sletniinger","type":"integer"},"geodkobjekter-aendret-antal":{"format":"int32","description":"Antal kladdeobjekter på sagen, der er ændringer","type":"integer"},"has-godkend-rettighed":{"description":"Om den aktuelle bruger har ret ti lat godkende sagen","type":"boolean"},"konflikter-antal":{"format":"int32","description":"Antal konflikter på sagen fundet ved forsøg på godkendelser","type":"integer"},"has-validering-igangvaerende":{"description":"Om der er en igangværende validerings på sagen,  sker som baggrundsjobs","type":"boolean"},"has-export-igangvaerende":{"description":"Om der er en igangværende eksport af sagens data til fil","type":"boolean"},"has-import-igangvaerende":{"description":"Om der er en igangværende import  af sagens data fra fil","type":"boolean"},"konflikter-fil-id":{"description":"ID for fil med liste af konflikter, kan downloades","type":"string"},"valideringsfejl-fil-id":{"description":"ID på fil med valideringsfejl, kan downloades ","type":"string"},"bbox":{"description":"samlet bounding box for sagens objekter","type":"array","items":{"maxItems":4,"minItems":4,"type":"number"}}}},"links":{"$ref":"#/definitions/links"},"relationships":{"description":"Members of the relationships object(\"relationships\") represent references from the resource object in which it's defined to other resource objects.","type":"object","properties":{"oprettet-af-bruger":{"$ref":"#/definitions/relationshipToOne","description":"Reference til bruger, der har oprettet sagen (Ejer sagen)"},"ansvarlig-bruger":{"$ref":"#/definitions/relationshipToOne"},"oprinder-fra-sag":{"$ref":"#/definitions/relationshipToOne","description":"Reference til oprindelig sag - i tilfældet af at en sag er spillet op"},"sagsstatus":{"$ref":"#/definitions/relationshipToOne","description":"Reference til sagens status"},"validering-seneste":{"$ref":"#/definitions/relationshipToOne"},"export-seneste":{"$ref":"#/definitions/relationshipToOne"},"import-seneste":{"$ref":"#/definitions/relationshipToOne"},"geodkobjekter":{"$ref":"#/definitions/relationshipToMany"},"aktiviteter":{"$ref":"#/definitions/relationshipToMany"},"valideringsfejl":{"$ref":"#/definitions/relationshipToMany"},"konflikter":{"$ref":"#/definitions/relationshipToMany"}}}}},"objektgruppe":{"description":"Overordnet gruppering af objekttyper jf. specifikationen","required":["type","id"],"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"attributes":{"required":["navn"],"type":"object","properties":{"navn":{"description":"Navn på overordnet objektgruppe jf. specifikationen","type":"string"}}},"links":{"$ref":"#/definitions/links"},"relationships":{"description":"Members of the relationships object(\"relationships\") represent references from the resource object in which it's defined to other resource objects.","type":"object","properties":{"objekttyper":{"$ref":"#/definitions/relationshipToMany"}}}}},"objekttype":{"description":"GeoDK objekttyper jf. specifikationen","required":["type","id"],"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"attributes":{"required":["navn","ascii-navn","ascii-kortnavn","note","snapgruppe","alternativtnavn","definition","eksempel","lovgrundlag","has-geometri-redigering","has-attribut-redigering"],"type":"object","properties":{"navn":{"description":"Navn på objekttypen jf. specifikationen","type":"string"},"ascii-navn":{"type":"string"},"ascii-kortnavn":{"type":"string"},"note":{"description":"Alternativt navn fra tag-elementet \"note\" fra .XMI fil (ikke påkrævet)","type":"string"},"snapgruppe":{"format":"int32","description":"Snapgruppen som objekttypen tilhører jf. specifikationen","type":"integer"},"alternativtnavn":{"description":"Alternativt navn fra tag-elementet \"alternativtNavn\" fra .XMI fil (ikke påkrævet)","type":"string"},"definition":{"description":"Alternativt navn fra tag-elementet \"definition\" fra .XMI fil (ikke påkrævet)","type":"string"},"eksempel":{"description":"Alternativt navn fra tag-elementet \"eksempel\" fra .XMI fil (ikke påkrævet)","type":"string"},"lovgrundlag":{"description":"Alternativt navn fra tag-elementet \"lovgrundlag\" fra .XMI fil (ikke påkrævet)","type":"string"},"has-geometri-redigering":{"description":"Boolean indicating if current user the right to change geometry for the objekttype (determined from the fetching user rights)","type":"boolean"},"has-attribut-redigering":{"description":"Boolean indicating if current user the right to change attributes for the objekttype (determined from the fetching user rights)","type":"boolean"}}},"links":{"$ref":"#/definitions/links"},"relationships":{"description":"Members of the relationships object(\"relationships\") represent references from the resource object in which it's defined to other resource objects.","type":"object","properties":{"objektgruppe":{"$ref":"#/definitions/relationshipToOne","description":"Reference til den objektgruppe objekttypen hører under"},"geometritype":{"$ref":"#/definitions/relationshipToOne","description":"Objekttypens reference til geometritype: 1: 'ST_Point', 2: 'ST_LineString' eller 3:'ST_Polygon' jf. specifikationen"},"objekttypeegenskaber":{"$ref":"#/definitions/relationshipToMany"}}}}},"objekttypeegenskab":{"description":"En objekttypes egenskab (udover de generelle egenskaber) jf. specifikationen","required":["type","id"],"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"attributes":{"required":["navn","ascii-navn","ascii-kortnavn","obligatorisk","sortering","alternativtnavn","definition","eksempel","lovgrundlag","note","transliteratedname"],"type":"object","properties":{"navn":{"description":"Egenskabens navn","type":"string"},"ascii-navn":{"type":"string"},"ascii-kortnavn":{"type":"string"},"obligatorisk":{"description":"Angivelse om egenskaben er krævet","type":"boolean"},"sortering":{"format":"int32","description":"Sortering af egenskaben (indenfor objekttypen)","type":"integer"},"alternativtnavn":{"description":"\"alternativtNavn\" fra .XMI fil (ikke påkrævet)","type":"string"},"definition":{"description":"\"definition\" fra .XMI fil (ikke påkrævet)","type":"string"},"eksempel":{"description":"\"eksempel\" fra .XMI fil (ikke påkrævet)","type":"string"},"lovgrundlag":{"description":"\"lovgrundlag\" fra .XMI fil (ikke påkrævet)","type":"string"},"note":{"description":"\"note\" fra .XMI fil (ikke påkrævet)","type":"string"},"transliteratedname":{"description":"\"transliteratedname\" fra .XMI fil (ikke påkrævet)","type":"string"}}},"links":{"$ref":"#/definitions/links"},"relationships":{"description":"Members of the relationships object(\"relationships\") represent references from the resource object in which it's defined to other resource objects.","type":"object","properties":{"opslagsliste":{"$ref":"#/definitions/relationshipToOne","description":"Reference til opslagsliste, såfremt egenskaben er en enumeration"},"objekttype":{"$ref":"#/definitions/relationshipToOne","description":"Reference til objekttypen som egenskaben tilhører"},"datatype":{"$ref":"#/definitions/relationshipToOne","description":"Reference til datatype (kun hvis egenskaben ikke er opslagsliste)"}}}}},"opslagsliste":{"description":"Opslagslister (enumerationer) hørende til en objekttypeegenskab","required":["type","id"],"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"attributes":{"required":["navn"],"type":"object","properties":{"navn":{"description":"Navn på opslagslisten jf. specifikationen","type":"string"}}},"links":{"$ref":"#/definitions/links"},"relationships":{"description":"Members of the relationships object(\"relationships\") represent references from the resource object in which it's defined to other resource objects.","type":"object","properties":{"opslagsvaerdier":{"$ref":"#/definitions/relationshipToMany"}}}}},"opslagsvaerdi":{"description":"opslagsværdier til en opslagsliste","required":["type","id"],"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"attributes":{"required":["navn","sortering"],"type":"object","properties":{"navn":{"description":"Navn på opslagsværdien","type":"string"},"sortering":{"format":"int32","description":"Værdiens sortering indenfor opslagslisten","type":"integer"}}},"links":{"$ref":"#/definitions/links"},"relationships":{"description":"Members of the relationships object(\"relationships\") represent references from the resource object in which it's defined to other resource objects.","type":"object","properties":{"opslagsliste":{"$ref":"#/definitions/relationshipToOne","description":"Reference til opslagslisten"}}}}},"forretningshaendelse":{"description":"Lookup-table over forretningshændelser jf. specifikationen","required":["type","id"],"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"attributes":{"required":["beskrivelse"],"type":"object","properties":{"beskrivelse":{"description":"Navn på forretningshændelse","type":"string"}}},"links":{"$ref":"#/definitions/links"}}},"forretningsproces":{"description":"Lookup-table over forretningsprocesser jf. specifikationen","required":["type","id"],"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"attributes":{"required":["beskrivelse"],"type":"object","properties":{"beskrivelse":{"description":"Navn på forretningsproces","type":"string"}}},"links":{"$ref":"#/definitions/links"}}},"geometristatus":{"description":"Lookup-table over geometristatusværdier jf. specifikationen","required":["type","id"],"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"attributes":{"required":["beskrivelse"],"type":"object","properties":{"beskrivelse":{"description":"Navn på geometristatus","type":"string"}}},"links":{"$ref":"#/definitions/links"}}},"plan-noejagtighed":{"description":"Lookup-table over plannøjagtighed jf. specifikationen","required":["type","id"],"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"attributes":{"required":["beskrivelse"],"type":"object","properties":{"beskrivelse":{"description":"Navn på plannøjagtighed","type":"string"}}},"links":{"$ref":"#/definitions/links"}}},"plan-stedfaestelsesmetode":{"description":"Lookup-table over planstedfæstelsesmetoder jf. specifikationen ","required":["type","id"],"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"attributes":{"required":["beskrivelse"],"type":"object","properties":{"beskrivelse":{"description":"Navn på planstedfæstelsesmetode","type":"string"}}},"links":{"$ref":"#/definitions/links"}}},"vertikal-noejagtighed":{"description":"Lookup-table over vertikalnøjagtigheder jf. specifikationen","required":["type","id"],"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"attributes":{"required":["beskrivelse"],"type":"object","properties":{"beskrivelse":{"description":"Navn på vertikalnoøjagtighed","type":"string"}}},"links":{"$ref":"#/definitions/links"}}},"vertikal-stedfaestelsesmetode":{"description":"Lookup-table over vertikalstedfæstelsesmetoder jf. specifikationen","required":["type","id"],"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"attributes":{"required":["beskrivelse"],"type":"object","properties":{"beskrivelse":{"description":"Navn på vertikalstedfæstelsesmetode","type":"string"}}},"links":{"$ref":"#/definitions/links"}}},"status":{"description":"Lookup-table over statusværdier jf. specifikationen","required":["type","id"],"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"attributes":{"required":["beskrivelse"],"type":"object","properties":{"beskrivelse":{"description":"Navn på status","type":"string"}}},"links":{"$ref":"#/definitions/links"}}},"sagsstatus":{"description":"Statusværdier for en sag, kan ikke ændres, systemmæssig betydning. 1: Kladde, 2: Afventer godkender, 3: Systembehandling af godkendelse, 4: Endeligt godkendt, 5: Slettet, 6: Systembehandling af prøvegodkendelse","required":["type","id"],"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"attributes":{"required":["beskrivelse"],"type":"object","properties":{"beskrivelse":{"description":"Beskrivelse af status","type":"string"}}},"links":{"$ref":"#/definitions/links"}}},"delegering":{"description":"Overførsel af sagsansvar fra en bruger til en anden","required":["type","id"],"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"attributes":{"required":["beskrivelse","gyldig-fra"],"type":"object","properties":{"beskrivelse":{"description":"Beskrivelse af delegeringen (ikke påkrævet)","type":"string"},"gyldig-fra":{"format":"date","description":"Tidspunkt for delegering af sagen fra en ansvarlig til en anden","type":"string"}}},"links":{"$ref":"#/definitions/links"},"relationships":{"description":"Members of the relationships object(\"relationships\") represent references from the resource object in which it's defined to other resource objects.","type":"object","properties":{"sag":{"$ref":"#/definitions/relationshipToOne","description":"Reference til sagen, som delegeringen vedrører"},"delegeret-til-bruger":{"$ref":"#/definitions/relationshipToOne","description":"Reference til den bruger, sagen er delegeret til"},"bruger":{"$ref":"#/definitions/relationshipToOne","description":"Reference til den bruger, der har foretaget delegeringen"}}}}},"kommentar":{"description":"Brugerdefinerede kommentarer til en sag (på et bestemt tidspunkt)","required":["type","id"],"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"attributes":{"required":["beskrivelse","gyldig-fra","geometri"],"type":"object","properties":{"beskrivelse":{"description":"Kommentaren","type":"string"},"gyldig-fra":{"format":"date","description":"Oprettelsestidspunkt for kommentaren","type":"string"},"geometri":{"$ref":"#/definitions/geometry"}}},"links":{"$ref":"#/definitions/links"},"relationships":{"description":"Members of the relationships object(\"relationships\") represent references from the resource object in which it's defined to other resource objects.","type":"object","properties":{"sag":{"$ref":"#/definitions/relationshipToOne","description":"Reference til sagen som kommentareren vedrører"},"bruger":{"$ref":"#/definitions/relationshipToOne","description":"Reference til bruger, der har oprettet kommentaren"}}}}},"valideringsfejl":{"description":"Identificerede fejl ifm. en validering. Fejlene refererer mange-mange til objektforandringer gennem tabellen objektforandringsfejl","required":["type","id"],"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"attributes":{"required":["besked","markering","objekt-ider","bruger-dispenseret"],"type":"object","properties":{"besked":{"description":"Forslag til hvordan fejlten kan rettes (ikke påkrævet)","type":"string"},"markering":{"$ref":"#/definitions/geometry","description":"Geografisk markering af fejlen (kan godt være multigeometrier, mange objekter / mange steder på objekter) (ikke påkrævet)"},"objekt-ider":{"description":"Liste med objekt_id som valideringsfejlen berører","type":"array","items":{"format":"int64","type":"integer"}},"bruger-dispenseret":{"description":"Om fejlen er brugerdispenseret","type":"boolean"}}},"links":{"$ref":"#/definitions/links"},"relationships":{"description":"Members of the relationships object(\"relationships\") represent references from the resource object in which it's defined to other resource objects.","type":"object","properties":{"overtraadt-regel":{"$ref":"#/definitions/relationshipToOne","description":"Reference til den regel der er overtrådt"}}}}},"job":{"description":"Planlagte eller udførte jobs","required":["type","id"],"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"attributes":{"required":["startet","afsluttet","modtaget","jobstatusdetaljer","kontekst"],"type":"object","properties":{"startet":{"format":"date","description":"Starttidspunkt for jobbet (ikke påkrævet)","type":"string"},"afsluttet":{"format":"date","description":"Tidspunkt for jobbets afslutning (ikke påkrævet)","type":"string"},"modtaget":{"format":"date","description":"Tidspunkt for modtagelse af jobbet","type":"string"},"jobstatusdetaljer":{"description":"Detaljeret beskrivelse af kobstatus (ikke påkrævet)","type":"string"},"kontekst":{"description":"jsonb struktur med kontekstmæssige data relateret til jobbet - afhænger af jobtypen (ikke påkrævet)","type":"object"}}},"links":{"$ref":"#/definitions/links"},"relationships":{"description":"Members of the relationships object(\"relationships\") represent references from the resource object in which it's defined to other resource objects.","type":"object","properties":{"sag":{"$ref":"#/definitions/relationshipToOne","description":"Reference til den sag der har aktiveret jobbet"},"jobtype":{"$ref":"#/definitions/relationshipToOne","description":"Reference til jobtypen"},"jobstatus":{"$ref":"#/definitions/relationshipToOne","description":"Reference til jobstatus"},"bruger":{"$ref":"#/definitions/relationshipToOne","description":"Reference til den bruger, der har oprettet jobbet (kan være systemet)"}}}}},"jobtype":{"description":"Typer af jobs. Hardkodet til applikationsspecifikke jobtyper","required":["type","id"],"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"attributes":{"required":["beskrivelse"],"type":"object","properties":{"beskrivelse":{"description":"Beskrivelse af jobtypen","type":"string"}}},"links":{"$ref":"#/definitions/links"}}},"aktivitet":{"description":"En handling eller hændelse på sagen, fx en delegering, start af genvalidering  etc. Se aktivitetstyper","required":["type","id"],"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"attributes":{"required":["beskrivelse","gyldig-fra","geometri"],"type":"object","properties":{"beskrivelse":{"description":"Beskrivelse af den pågældende aktivitet på sagen, fx delegering, start af genvalidering etc","type":"string"},"gyldig-fra":{"format":"date","description":"Tidspunkt for start af aktiviteten","type":"string"},"geometri":{"$ref":"#/definitions/geometry","description":"eventuel geometri der er relateret til aktiviteten"}}},"links":{"$ref":"#/definitions/links"},"relationships":{"description":"Members of the relationships object(\"relationships\") represent references from the resource object in which it's defined to other resource objects.","type":"object","properties":{"bruger":{"$ref":"#/definitions/relationshipToOne"},"aktivitetstype":{"$ref":"#/definitions/relationshipToOne"},"forretningshaendelse":{"$ref":"#/definitions/relationshipToOne"}}}}},"organisation":{"description":"Typisk kommune eller SDFE","required":["type","id"],"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"attributes":{"required":["navn","cvrnummer","komkode","geometri","objekt-id","bbox"],"type":"object","properties":{"navn":{"description":"Organisationens navn","type":"string"},"cvrnummer":{"format":"int32","description":"Organisationens cvr-nummer","type":"integer"},"komkode":{"type":"string"},"geometri":{"$ref":"#/definitions/geometry"},"objekt-id":{"format":"int64","type":"integer"},"bbox":{"description":"TRANSLATE - Bounding box containing the Geometri for the Organisation","type":"array","items":{"maxItems":4,"minItems":4,"type":"number"}}}},"links":{"$ref":"#/definitions/links"}}},"geometritype":{"description":"Understøttede geometrityper","required":["type","id"],"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"attributes":{"required":["ogc-navn","specifikations-navn"],"type":"object","properties":{"ogc-navn":{"description":"OGC standard navngivning for geometritypeb","type":"string"},"specifikations-navn":{"description":"Navn på geometritypen, som det er defineret i Specifikationen","type":"string"}}},"links":{"$ref":"#/definitions/links"}}},"datatype":{"description":"Undserstøttede datatype for objektspecifikke egenskaber","required":["type","id"],"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"attributes":{"required":["navn"],"type":"object","properties":{"navn":{"description":"Navn på datatypen (navngivning ift. specifikationen)","type":"string"}}},"links":{"$ref":"#/definitions/links"}}},"rettighed":{"description":"Rettigheder (bruger/rolle). ","required":["type","id"],"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"attributes":{"required":["oprettet","sidst-aendret"],"type":"object","properties":{"oprettet":{"format":"date","description":"Timestamp for oprettelse","type":"string"},"sidst-aendret":{"format":"date","description":"Tidsstempel for ændring","type":"string"}}},"links":{"$ref":"#/definitions/links"},"relationships":{"description":"Members of the relationships object(\"relationships\") represent references from the resource object in which it's defined to other resource objects.","type":"object","properties":{"bruger":{"$ref":"#/definitions/relationshipToOne","description":"Reference til bruger"},"rolle":{"$ref":"#/definitions/relationshipToOne","description":"Reference til rollen"},"objektgrupperettigheder":{"$ref":"#/definitions/relationshipToMany"}}}}},"rolle":{"description":"De mulige roller der findes","required":["type","id"],"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"attributes":{"required":["navn","beskrivelse"],"type":"object","properties":{"navn":{"description":"navn på rettigheden. F.eks. attributredigering, objektansvar, dataadministrator mv.","type":"string"},"beskrivelse":{"description":"Systemmæssig betydning af rettigheden","type":"string"}}},"links":{"$ref":"#/definitions/links"}}},"aktivitetstype":{"description":"Type for en aktivitet","required":["type","id"],"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"attributes":{"required":["beskrivelse"],"type":"object","properties":{"beskrivelse":{"description":"Uformel beskrivelse af type for en aktivitet","type":"string"}}},"links":{"$ref":"#/definitions/links"}}},"konfiguration":{"description":"Generel information om gældende specifikation - singelton","required":["type","id"],"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"attributes":{"required":["forretningsomraade","globaleparametre"],"type":"object","properties":{"forretningsomraade":{"description":"Fast værdi jf. Spec: \"52.20.20.05\"","type":"string"},"globaleparametre":{"description":"Alle systemglobale parametre","type":"object"}}},"links":{"$ref":"#/definitions/links"}}},"valideringsregel":{"description":"Instans / konfiguration af en konkret regeltype","required":["type","id"],"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"attributes":{"required":["aktiv","funktionsparametre","beskrivelse","intern-dokumentation","specifikationsreference","loesningsforslag","kvik","navn","nummer","link"],"type":"object","properties":{"aktiv":{"description":"Angiver om reglen er aktiv (skal anvendes). NB: Kan ikke vedligeholdes fra SYSTEMET. Udelukkende til udviklingsbrug (ikke påkrævet)","type":"boolean"},"funktionsparametre":{"description":"Parametre til valideringsfunktionen (ikke påkrævet)","type":"object"},"beskrivelse":{"description":"Kort beskrivelse af valideringsreglen. Skal kunne forstås af modtager (klient)","type":"string"},"intern-dokumentation":{"description":"Interne kommentarer til reglen - anvendes til at få en dybere forståelse for reglen (ikke påkrævet)","type":"string"},"specifikationsreference":{"description":"Link eller lignende til hvordan man finder frem til reglen i specifikationen","type":"string"},"loesningsforslag":{"description":"Tekstuel beskrivelse af hvad man skal gøre for at rette op på en krænkelse af reglen","type":"string"},"kvik":{"description":"Markering af om reglen skal eksekveres i en kvikvalidering","type":"boolean"},"navn":{"description":"Navn på valideringsreglen (ikke påkrævet)","type":"string"},"nummer":{"description":"nummer på valideringsregel (ikke påkrævet)","type":"string"},"link":{"description":"Link til ekstern reference med yderligere information om reglen (ikke påkrævet)","type":"string"}}},"links":{"$ref":"#/definitions/links"},"relationships":{"description":"Members of the relationships object(\"relationships\") represent references from the resource object in which it's defined to other resource objects.","type":"object","properties":{"specifikation":{"$ref":"#/definitions/relationshipToOne","description":"Reference til den specifikationen, der definerer valideringsreglen"},"funktionstype":{"$ref":"#/definitions/relationshipToOne","description":"Navn på den funktion, der foretager valideringen. Endeligt sæt af muligheder"},"sanktionstype":{"$ref":"#/definitions/relationshipToOne","description":"Reference til sanktionstypen"},"valideringsregelobjekttyper":{"$ref":"#/definitions/relationshipToMany"},"valideringsregelrelateretobjekttyper":{"$ref":"#/definitions/relationshipToMany"}}}}},"objektgruppe-rettighed":{"description":"Relation mellem rettighed og objektgrupper","required":["type","id"],"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"attributes":{"required":["lokal-rettighed","rolle-id"],"type":"object","properties":{"lokal-rettighed":{"description":"Markering om rettigheden til objektgruppen er lokal (true), eller modtaget fra eksternt system (false)","type":"boolean"},"rolle-id":{"format":"int32","description":"?","type":"integer"}}},"links":{"$ref":"#/definitions/links"},"relationships":{"description":"Members of the relationships object(\"relationships\") represent references from the resource object in which it's defined to other resource objects.","type":"object","properties":{"rettighed":{"$ref":"#/definitions/relationshipToOne"},"objektgruppe":{"$ref":"#/definitions/relationshipToOne"}}}}},"specifikation":{"description":"Definition af specifikationen - indeholder som udgangspunkt en enkelt række (den aktuelle specifikation)","required":["type","id"],"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"attributes":{"required":["fagomraade-id","gaeldende","version","beskrivelse","ikrafttraedelse"],"type":"object","properties":{"fagomraade-id":{"format":"int32","description":"Reference til det fagområde, som Specifikationen hører under","type":"integer"},"gaeldende":{"description":"Markering om specifikationen er gældende (true)","type":"boolean"},"version":{"description":"Navnet på specifikationsversionen","type":"string"},"beskrivelse":{"description":"Fri beskrivelse af specifikationen (ikke påkrævet)","type":"string"},"ikrafttraedelse":{"format":"date","description":"Tidspunkt for specifikationens ikrafttrædelse","type":"string"}}},"links":{"$ref":"#/definitions/links"}}},"hjaelpegeometri":{"description":"Arbejdsgeometri på sagen","required":["type","id"],"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"attributes":{"required":["geometri"],"type":"object","properties":{"geometri":{"$ref":"#/definitions/geometry","description":"Geometrien. Der tillades geometrier med typen ST_Point, ST_LineString eller ST_Polygon, svarende til de tilladte geometrityper i Specifikationen"}}},"links":{"$ref":"#/definitions/links"},"relationships":{"description":"Members of the relationships object(\"relationships\") represent references from the resource object in which it's defined to other resource objects.","type":"object","properties":{"oprettet-af-bruger":{"$ref":"#/definitions/relationshipToOne","description":"Reference til bruger, der har uploadet hjælpegeometrien"},"sag":{"$ref":"#/definitions/relationshipToOne","description":"Reference til sagen, som hjælpegeometrien tilhører"}}}}},"konflikt":{"description":"En konflikt hvor et objekt forsøges godkendt men hvor der siden ajourføring start, er udført opdateringer af objektet af andre sagsbehandlere ","required":["type","id"],"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"attributes":{"required":["objekt-id","registrering-fra","registrering-fra-konflikt","slettet","slettet-konflikt"],"type":"object","properties":{"objekt-id":{"format":"int64","description":"Hvilke objekt som konflikten berører","type":"integer"},"registrering-fra":{"format":"date","description":"Version af objektet som konflikten berøre ","type":"string"},"registrering-fra-konflikt":{"format":"date","description":"Hvilken anden version af objektet som konflikten berører","type":"string"},"slettet":{"description":"Om konflikten omhandler at dette objekt slettes","type":"boolean"},"slettet-konflikt":{"description":"Om konflikten omhandler at det andet objekt objektet er slettet","type":"boolean"}}},"links":{"$ref":"#/definitions/links"},"relationships":{"description":"Members of the relationships object(\"relationships\") represent references from the resource object in which it's defined to other resource objects.","type":"object","properties":{"godkendt-af-bruger-konflikt":{"$ref":"#/definitions/relationshipToOne"},"objekttype":{"$ref":"#/definitions/relationshipToOne"}}}}},"sagsobjekter-query":{"description":"Filtreringsparametre der skal bruges til udsøgning ved tilknytning af gældende GeoDanmark objekter til sagen","required":["type","id"],"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"attributes":{"required":["geometri","geodkobjekt-ids","objekttype-ids","geometristatus-id"],"type":"object","properties":{"geometri":{"$ref":"#/definitions/geometry","description":"Geometri der skal fremsøges objekter med henblik på tilknytning til sagen. Fx kommuneområde eller  tegnet område "},"geodkobjekt-ids":{"description":"Gældende objekt, hvis geometri der skal fremsøges objekter med henblik på tilknytning. ","type":"array","items":{"format":"int64","type":"integer"}},"objekttype-ids":{"description":"Objekttyper der er skal fremsøges objekter ud fra med henblik på tilknytning","type":"array","items":{"format":"int32","type":"integer"}},"geometristatus-id":{"format":"int32","description":"Hvilke geometristatus som de fremsøgte objekter skal have, endelig og/eller forløbig geometri","type":"integer"}}},"links":{"$ref":"#/definitions/links"}}},"geodkobjekt-historisk-reference":{"description":"TRANSLATE - Reference to historical version of a Geodkobjekt","required":["type","id"],"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"attributes":{"required":["objekt-id","registrering-fra","registrering-til","registreringsaktoer"],"type":"object","properties":{"objekt-id":{"format":"int64","description":"ID på historisk objekt","type":"integer"},"registrering-fra":{"format":"date","description":"Versions starttidspunkt for det historiske objekt","type":"string"},"registrering-til":{"format":"date","description":"Versions sluttidspunkt for det historiske objekt","type":"string"},"registreringsaktoer":{"description":"Hvem der ajourførte den pågældende historiske version","type":"string"}}},"links":{"$ref":"#/definitions/links"},"relationships":{"description":"Members of the relationships object(\"relationships\") represent references from the resource object in which it's defined to other resource objects.","type":"object","properties":{"godkendt-af-bruger":{"$ref":"#/definitions/relationshipToOne"},"forretningshaendelse":{"$ref":"#/definitions/relationshipToOne"}}}}},"fagomraade":{"description":"Forskellige fagomraader som systemet dækker","required":["type","id"],"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"attributes":{"required":["navn"],"type":"object","properties":{"navn":{"description":"Navn på fagområde (f.eks. GeoDanmark eller FKG)","type":"string"}}},"links":{"$ref":"#/definitions/links"}}},"objektkatalog":{"description":"Indeholder objekttyper og andre relaterede metadata fra objektkataloget","required":["type","id"],"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"attributes":{"required":[],"type":"object","properties":{}},"links":{"$ref":"#/definitions/links"},"relationships":{"description":"Members of the relationships object(\"relationships\") represent references from the resource object in which it's defined to other resource objects.","type":"object","properties":{"objekttyper":{"$ref":"#/definitions/relationshipToMany"},"datatyper":{"$ref":"#/definitions/relationshipToMany"},"forretningshaendelser":{"$ref":"#/definitions/relationshipToMany"},"forretningsproceser":{"$ref":"#/definitions/relationshipToMany"},"geometristatus":{"$ref":"#/definitions/relationshipToMany"},"geometrityper":{"$ref":"#/definitions/relationshipToMany"},"plan-noejagtigheder":{"$ref":"#/definitions/relationshipToMany"},"plan-stedfaestelsesmetoder":{"$ref":"#/definitions/relationshipToMany"},"status":{"$ref":"#/definitions/relationshipToMany"},"vertikal-noejagtigheder":{"$ref":"#/definitions/relationshipToMany"},"vertikal-stedfaestelsesmetoder":{"$ref":"#/definitions/relationshipToMany"},"sanktionstyper":{"$ref":"#/definitions/relationshipToMany"},"sagsstatus":{"$ref":"#/definitions/relationshipToMany"},"aktivitetstyper":{"$ref":"#/definitions/relationshipToMany"},"aendringsstatus":{"$ref":"#/definitions/relationshipToMany"},"jobtyper":{"$ref":"#/definitions/relationshipToMany"}}}}},"defaultvaerdi":{"description":"Plausible default værdier for online-klient - sagsorienteret vedligehold","required":["type","id"],"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"attributes":{"required":["ascii-navn","value"],"type":"object","properties":{"ascii-navn":{"description":"Objekttypeegenskab i ASCII form","type":"string"},"value":{"description":"TRANSLATE - Untyped default value for the attribute"}}},"links":{"$ref":"#/definitions/links"},"relationships":{"description":"Members of the relationships object(\"relationships\") represent references from the resource object in which it's defined to other resource objects.","type":"object","properties":{"objekttype":{"$ref":"#/definitions/relationshipToOne","description":"Reference til den objekttype defaultværdien gælder for"}}}}},"aendringsstatus":{"description":"TRANSLATE - Describes the changes that a transient Geodkobjekt represent","required":["type","id"],"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"attributes":{"required":["beskrivelse"],"type":"object","properties":{"beskrivelse":{"description":"Beskrivelse af  statusværdien","type":"string"}}},"links":{"$ref":"#/definitions/links"}}},"funktionstype":{"description":"Hardkodet liste af valideringsfunktioner. Kan IKKE vedligeholdes uden systemændringer i valideringsmotoren","required":["type","id"],"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"attributes":{"required":["navn","mulige-parametre"],"type":"object","properties":{"navn":{"description":"Navn eller identifikation på funktionen (ikke påkrævet)","type":"string"},"mulige-parametre":{"description":"Objektstruktur med mulige parametre til en regel (ikke påkrævet)","type":"object"}}},"links":{"$ref":"#/definitions/links"}}},"jobstatus":{"description":"Mulige jobstati for alle jobs","required":["type","id"],"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"attributes":{"required":["beskrivelse"],"type":"object","properties":{"beskrivelse":{"description":"Beskrivelse af jobstatus","type":"string"}}},"links":{"$ref":"#/definitions/links"}}},"eventtype":{"description":"Type af loghændelse, fx Session_Login, Session_AccessViolation etc.","required":["type","id"],"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"attributes":{"required":["beskrivelse"],"type":"object","properties":{"beskrivelse":{"description":"Beskrivelse af  loghændelsestypen","type":"string"}}},"links":{"$ref":"#/definitions/links"}}},"log":{"description":"Hændelse logget i systemet. Dette kan være almindelig begivenheder som fx login, API-request, jobstart men også uønskede begivenheder fx ulovlig adgang eller systemfejl","required":["type","id"],"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"attributes":{"required":["beskrivelse","bruger","data","datotid","event-type-id","jobid","jobtype","log-kategori-id","klient","korrelationsid","miljoe","requestid","systemkomponent","attachments","timestamp"],"type":"object","properties":{"beskrivelse":{"description":"Kort beskrivelse af loghændelsen","type":"string"},"bruger":{"description":"Bruger som loghændelsen er relateret til","type":"string"},"data":{"description":"Eventuelle ekstra oplysninger relateret til loghændelsen","type":"string"},"datotid":{"format":"date","description":"Tidspunkt for loghændelsen","type":"string"},"event-type-id":{"description":"Hændelsestype, fx Session_AccessViolation.","type":"string"},"jobid":{"description":"Såfremt log-hændelsen relaterer sig til et baggrundsjob, da ID for det relaterede job","type":"string"},"jobtype":{"description":"Såfremt log-hændelsen relaterer sig til et baggrundsjob, da jobtypen for det relaterede job, fx validering, eller deltaoverførsel til Datafordeler","type":"string"},"log-kategori-id":{"description":"Kategorien af loghændelsen, om det er info, debug eller systemfejl","type":"string"},"klient":{"description":"IP-adresse på relateret klient","type":"string"},"korrelationsid":{"description":"Intern ID der benyttet til at sammenkæde forskellige hændelse på en session","type":"string"},"miljoe":{"description":"GeoDanmark systemmiljø som loghændelsen relaterer sig til, fx prod, QA, kundetest etc","type":"string"},"requestid":{"description":"Intern ID, såfremt loghændelsen handler om en request. Anvendes til korrelation mellem request og respons","type":"string"},"systemkomponent":{"description":"Systemkomponent i GeoDanmark systemet som loghændelsen relaterer sig til. Fx- API","type":"string"},"attachments":{"description":"Ikke benyttet","type":"string"},"timestamp":{"format":"int64","description":"Tidspunkt for loghændelsen","type":"integer"}}},"links":{"$ref":"#/definitions/links"}}},"log-kategori":{"description":"Hændelsestype logget i systemet.  Dette kan være Error, Debug, Info etc","required":["type","id"],"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"attributes":{"required":["beskrivelse"],"type":"object","properties":{"beskrivelse":{"description":"Beskrivelse af kategorien for loghændelse","type":"string"}}},"links":{"$ref":"#/definitions/links"}}},"log-soegning":{"description":"Søgeresultat ifm. fremsøgning af log","required":["type","id"],"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"attributes":{"required":["har-flere-resultater","soege-noegle"],"type":"object","properties":{"har-flere-resultater":{"description":"Om der er flere resultater end dem der returneres lige nu","type":"boolean"},"soege-noegle":{"type":"string"}}},"links":{"$ref":"#/definitions/links"},"relationships":{"description":"Members of the relationships object(\"relationships\") represent references from the resource object in which it's defined to other resource objects.","type":"object","properties":{"logs":{"$ref":"#/definitions/relationshipToMany"}}}}},"sanktionstype":{"description":"De mulige sanktioner for en valideringsregel","required":["type","id"],"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"attributes":{"required":["navn","beskrivelse"],"type":"object","properties":{"navn":{"type":"string"},"beskrivelse":{"description":"Beskrivelse af sanktionen (blokerende, karantænesættende eller advarsel)","type":"string"}}},"links":{"$ref":"#/definitions/links"}}},"valideringsregel-objekttype":{"description":"Objekttype som reglen gælder for","required":["type","id"],"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"attributes":{"required":["attributfiltre"],"type":"object","properties":{"attributfiltre":{"description":"Liste med optionelle filtre, som indskrænker reglens gyldighed ift. objekttypen (ikke påkrævet)","type":"object"}}},"links":{"$ref":"#/definitions/links"},"relationships":{"description":"Members of the relationships object(\"relationships\") represent references from the resource object in which it's defined to other resource objects.","type":"object","properties":{"valideringsregel":{"$ref":"#/definitions/relationshipToOne"},"objekttype":{"$ref":"#/definitions/relationshipToOne"}}}}},"valideringsregel-relateret-objekttype":{"description":"Relaterede objekttyper for en valideringsregel","required":["type","id"],"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"attributes":{"required":["attributfiltre"],"type":"object","properties":{"attributfiltre":{"description":"Liste med optionelle filtre, som indskrænker reglens gyldighed ift. den relaterede objekttype (ikke påkrævet)","type":"object"}}},"links":{"$ref":"#/definitions/links"},"relationships":{"description":"Members of the relationships object(\"relationships\") represent references from the resource object in which it's defined to other resource objects.","type":"object","properties":{"valideringsregel":{"$ref":"#/definitions/relationshipToOne"},"objekttype":{"$ref":"#/definitions/relationshipToOne"}}}}},"jobs-info":{"description":"Indeholder opsummeret information om alle baggrundsjobs, fx godkendelser i kø","required":["type","id"],"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"attributes":{"required":["godkendelse-koe-antal","godkendelse-koe-tid"],"type":"object","properties":{"godkendelse-koe-antal":{"format":"int32","description":"Antal godkendelse der venter i kø  eller er ved at blive behandlet","type":"integer"},"godkendelse-koe-tid":{"format":"int32","description":"Forventet tid for resterende godkendelser der venter i kø  eller er ved at blive behandlet","type":"integer"}}},"links":{"$ref":"#/definitions/links"}}},"links":{"description":"A resource object **MAY** contain references to other resource objects (\"relationships\"). Relationships may be to-one or to-many. Relationships can be specified by including a member in a resource's links object.","type":"object","properties":{"self":{"format":"uri","description":"A `self` member, whose value is a URL for the relationship itself (a \"relationship URL\").","type":"string"},"related":{"format":"uri","description":"A string containing the link's URL.","type":"string"}}},"linkage":{"description":"The \"type\" and \"id\" to non-empty members.","required":["type","id"],"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"}}},"relationshipToOne":{"description":"References to other resource objects in a to-one (\"relationship\"). Relationships can be specified by including a member in a resource's links object.","type":"object","properties":{"links":{"$ref":"#/definitions/links"},"data":{"$ref":"#/definitions/linkage"}}},"relationshipToMany":{"description":"An array of objects each containing \"type\" and \"id\" members for to-many relationships.","type":"object","properties":{"links":{"$ref":"#/definitions/links"},"data":{"type":"array","items":{"$ref":"#/definitions/linkage"}}}},"geometry":{"description":"A GeoJSON Geometry object as specified by https://tools.ietf.org/html/rfc7946#section-3.1 except coordinates are specified by https://epsg.io/25832","type":"object"}}}